
NOTE: This is the 1.3.0 development branch.
Put code changes right below the 1.3.0 label below.

NOTE: This file is being depracated in favor of using git log to see
the changes.  This file is likely out of date and likely to be
removed at some point.

Version 1.3.0-alpha1 (27 Jun 2017)
 - 27-Jun-2017 cek Migrated from SourceForge to github.  Various updates
   to the new git repo.
   Updated the phpmailer class and modified the code to support the
   newer version.
 - 06-Feb-2013 cek Fix for php warnings on search handler
 - 24-Jan-2013 cek Security fix: Do not show the reason for a failed login
   (i.e. "no such user")
   Security fix: Escape HTML characters in category name.
   Security fix: Check all passed in fields (either via HTML form or via
   URL parameter) for certain malicious tags (script, embed, etc.) and
   generate fatal error if found.
 - 07-Jan-2013 cek Fixed bug [ 3560830 ] wrong params for print_not_auth
 - 07-Jan-2013 cek Fixed bug [ 3577712 ] typo in upcoming.php
 - 11-Mar-2012 cek Patch [ 3501281 ] Updated Greek translation
 - 28-Feb-2012 cek Fixed bug [ 3467051 ] Don't allow empty category names.
 - 28-Feb-2012 cek Fixed bug [ 3418570 ] Security vulnerability in saving
   user theme preference; Fix for install/index.php.  Security hole would allow
   unauthenticated users to overwrite settings.php file with arbitrary data.
 - 28-Feb-2012 cek Fixed bug [ 2970095 ] XSS vulnerability in users.php
   and 'tab' parameter.  Prevent XSRF by requiring HTTP_REFERER be same as
   WebCalendar URL.
   Original notice:
   http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2010-0637
 - 28-Feb-2012 cek Fixed HTML error in upcoming.php.
 - 08-Jul-2011 cek Fixed XSS vulnerability: malicious javascript in event
   descriptions submitted by public can do bad things (create admin account,
   delete events, etc.) when the pending event is viewed by the admin.
 - 02-Jun-2011 roj Bug [ 3307633 ] Non-static method Doc::attachmentsEnabled
 - 01-May-2011 roj Bug [ 3136643 ] php error when trying to log with wrong password. postgresql
 - 26-Apr-2011 roj Fixed pass by reference warnings when running PHP 5.3
 - 26-Apr-2011 roj Bug [ 3095745 ] Invalid table structure for MS SQL
 - 17-Apr-2011 roj Bug [ 3131513 ] View id lost when using next and previous arrows
 - 17-Apr-2011 roj Bug [ 3131543 ]Time is not displayed correctly when min = 0
 - 07-Oct-2010 cek Updated layers.php with new Modalbox code and UI improvements.
 - 21-Aug-2010 cek Added support for PNG category icons; improvements to
   category icon uploading; display error when permissions of icons
   directory is read-only
 - 15-Aug-2010 cek Added modalbox code to combo.php
 - 15-Aug-2010 cek Update Prototype library from 1.5 to 1.6.1
 - 14-Aug-2010 cek Fixes for PHP warnings about default timezone not being set.
 - 07-Apr-2010 cek Added better error message for unlink error in db_cachedir.
 - 06-Apr-2010 cek Fixed bug [ 2769084 ] xss vulnerability with cat_id in month.php
 - 06-Apr-2010 cek Security Fix: Fixes for cross-site scripting and denial
   of service.  For details of issues:
   http://tasecuritygroup.com/download/SCL-2010-001.txt
 - 17-Mar-2010 bb Patch [ 2971855 ] German updated translation
 - 06-Mar-2010 bb Removed the comments from "font-size" in css/styles.css.
   I'm not seeing any problem with these.
   Both my web host and my PC with WAMP look fine with both IE and Firefox.
   Clean up the CSS a bit.
 - 06-Mar-2010 bb Bug [ 2954781 ] "Color options" are not set on the left margin
 - 06-Mar-2010 bb Fix bugs when empty( $settings['db_password']
 - 06-Mar-2010 bb Patch [ 2954502 ] Problems with hinding duplicate entries in layers
   The code has changed quite a bit since this patch was submitted. I think I got everything.
 - 06-Mar-2010 bb Bug [ 2962773 ] $end_file path failure in load_translation_text()
 - 06-Mar-2010 bb Fix some typos and cleanup.
 - 21-Feb-2010 bb Patch [ 2954494 ] Event reminder am/pm setting not remembered
   And extensive reworking of edit_entry_handler.php for efficiency and readability.
 - 21-Feb-2010 bb Patch [ 1805743 ] Debian patch for php5-sqlite3
   This patch was not complete. And it was deleting ordinary SQLite.
   I think I've got in now. Someone with SQLite3 needs to test it though.
 - 06-Feb-2010 bb fix typo from Patch 2938327.
   Patch [ 2946473 ] Three more STRICT level PHP 5.2 errors
 - 04-Feb-2010 bb In register.php, combine some nearly identical functions.
   And a liitle cleanup.
 - 24-Jan-2010 bb Patch [ 2938327 ] Get rid of two more PHP 5.3 deprecations
 - 24-Jan-2010 bb Patch [ 2938298 ] error message: stat failed for includes/js/views.php
 - 27-Dec-09 bb In includes/init.php, moving some of the CSS links into print_header($INC)
   and some other cleanup.
 - 26-Dec-09 bb Removing PHP from JavaScript and vice versa 
   and some cleanup for consistancy - register.php
 - 27-Nov-09 bb Fix bug [ 2903004 ] Warning message after successfully login
 - 22-Nov-09 bb Since js/popups.php is all javascript, I'm changing the name to popups.js
 - 22-Nov-09 bb I seem to have broken the PHPDocumentor functionality some months ago.
   Glad it's not used very often. Let's see if I can fix it.
   Also, some cleanup. Should I make one massive update or several thousand small ones?
 - 22-Nov-09 bb Delete translations no longer in use.
   Correct code for translation that was not being picked up by update_translaton.pl.
 - 01-Nov-09 bb Extract CSS and JavaScript from access.php
 - 01-Nov-09 bb Start moving CSS files to their own subdirectory. 
 - 30-Oct-09 bb I had changed things to v1.2.0 because that's what most files showed.
   But, I think we're really working on v1.3.0 in HEAD.
 - 30-Oct-09 bb Back out Patch [ 1425442 ] case-insensitive user names
   Incomplete. Pre-existing usernames with Uppercase are not retrieved correctly.
 - 21-Oct-09 bb Updating includes/config.php and the SQL files to V1.2.0
 - 19-Oct-09 bb Patch [ 2880387 ] Viewing other user's calendar when user access cntrl is off
 - 19-Oct-09 bb Extracting CSS & Javascript from about.php to external files.
   New script file js/v_h_scrolls.js allows multiple scrollers per page.
 - 15-Oct-09 bb Remove excess styles
 - 14-Oct-09 bb Patch [ 1753426 ] layerentrys aren't marked as entrys (no hasevent class)
 - 14-Oct-09 bb Patch [ 1425442 ] case-insensitive user names
 - 12-Oct-09 bb Patch [ 2877076 ] Fix some off by one dates due to daylight saving
 - 12-Oct-09 bb Patch [ 2666115 ] Patch for bug#2666101, icalclient htaccess method
 - 12-Oct-09 bb Patch [ 2697525 ] German translation corrections
 - 12-Oct-09 bb Patch [ 2770045 ] Access.php error - You are not authorized
 - 12-Oct-09 bb Patch [ 2777127 ] Patch for bug 2318177, report options not saving/displaying
 - 12-Oct-09 bb Patch [ 2782298 ] Users selection shifts
 - 12-Oct-09 bb <script language="javascript" was deprecated years ago
 - 12-Oct-09 bb Patch [ 2794125 ] Import Categories
 - 12-Oct-09 bb Patch [ 2801019 ] Fix bug that prevent event approval
 - 11-Oct-09 bb Patch [ 2802940 ] Allow public access in http authentication mode
 - 11-Oct-09 bb Patch [ 2809120 ] Allow rejection of a previously approved event
 - 11-Oct-09 bb Patch [ 2839645 ] Bugfix for the installation when language character != UTF-8
 - 10-Oct-09 bb Patch [ 2840937 ] Better error reporting for Oracle support in dbi4php.php
 - 10-Oct-09 bb Patch [ 2873491 ] Get rid of PHP 5.3 deprecated features
 - 10-Oct-09 bb Example of a good table summary="" in function display_month
 - Patch [ 2534090 ] PHP 5.2.8/Seg fault/blank page/Internal Server Error/untimed
 - Patch [ 2477178 ] New french translation
 - Patch [ 2269623 ] Configure default client timezone
 - Patch [ 2393257 ] Reset reminder upon event update
 - Patch [ 2261885 ] Missing shebang
 - Patch [ 2261841 ] Fix timebar views
 - Fixed bug: The remember login checkbox on login page would not work
   unless register globals was enabled
 - Fixed bug [ 2157160 ] in week selector wrong weeks
 - Fixed bug [ 2148435 ] Not possible to create/edit layer with duplicates=No
 - Delete translate phrases that are no longer used from code.
 - Patch [ 2135609 ] Date issues for repeating events in RSS feed
 - Fixed bug [ 2163504 ] usersel.php was not running "register_globals = off".
 - Fixed bug [ 2142564 ] rss_activity_log.php doesn't work with Oracle
 - Apply Patch [ 2163740 ] I made more i18n patches. (with some modifications.)
 - Fixed bug [ 2135644 ] mb_language error in 1.2.0 prevent login
 - Apply Patch [ 2086918 ] icalendar with multi byte
 - Apply Patch [ 2129844 ] Missing space in day view
 - Apply Patch [ 2126058 ] Color for today's event in week.php
 - Apply Patch [ 2126269 ] Norwegian translation update
 - Apply Patch [ 2117687 ] German updated translation
 - Apply Patch [ 2126001 ] Fixes for upgrade-postgres.sql
 - Add Portuguese_BR_utf8 to includes/translate.php
 - Fix typo. Bug report [2122876] syntax error at "update_translation.pl" update_translation.pl
 - Patch [ 1986759 ] Incorrect date shift logic in view_entry.php
 - Fixed NUC URL in edit_nonusers.php. Removed hyperlink and added _NUC_
 - Fixed problem with ByMonthDay not being saved
 - Fixed bug [ 1948133 ] Weekly repeating events appear on wrong day in iCal
 - Fixed bug [ 1814160 ] CVS 1.1.7 - advanced search in non user calendar
 - Fixed bug [ 1842507 ] Reminders being sent out 1 day early
 - Fixed bug [ 1748124 ] reminder email has wrong date
 - Fixed bug [ 1833136 ] option Display small months
 - Fixed bug [ 1737128 ] From notification to "not authorized"
 - Fixed bug [ 1948086 ] File Attachments
 - Fixed bug [ 1939275 ] getting error at security_audit.php
 - Fixed bug [ 1940172 ] disabling user will not be stored at user.php
 - Fixed bug [ 1935981 ] icalclient.php delivers faulty data
 - Fixed bug [ 1934763 ] upcoming events - link is not authorized
 - Convert public to __public__ in rss.php
 - Fixed bug [ 1901746 ] 12:am ending time
 - Fixed bug [ 1912636 ] 1.2b1 import error - international chars
 - Fixed bug [ 1913623 ] public user are not able to submit event
 - Fixed bug [ 1931360 ] 1.2.b1 Mon-Sun Repeating Weekly Appt
 - Fixed bug [ 1912639 ] 1.2b1 import error - remote calendars
 - Fixed bug [ 1933105 ] missing events in monthly view (side by side)
 - Fixed bug [ 1913340 ] end date of a repeating entry won't be saved at 1.2b1
 - Fixed bug [ 1922041 ] upcoming.php
 - Fixed bug [ 1917611 ] RSS feed, untimed events start at 7:00 pm
 - Fixed bug [ 1881030 ] date-format selection will not be proper displayed as adjust
 - Fixed bug [ 1931386 ] "Action"-entries not proper displayed at "System Log"
 - FIxed bug [ 1881134 ] detailed information of RSS will not be shown
 - Added missing 'My Reports' to menu_config
 - Added more UAC checks to day,month,year views
 - Fixed problem with conflict 'Save' not processing
 - Fixed bug [ 1921675 ]  W3C Invalid HTML (1.2b1)
 - Fixed bug [ 1929381 ] FCKeditor changes � into &eacute;
 - Fixed bug [ 1912481 ] IMAPAuthentication bug and fix
 - Fixed bug [ 1905393 ] Profile cannot be edited
 - Fixed bug [ 1911684 ] layers cannot be adjusted or modified for public access
 - Remove menu for modifying nonuser/public prefs when neither is enabled
 - Fixed bug [ 1909554 ] Public access override event name broken
 - Display category icons in upcoming.php; new corresponding system setting
 - Added new RSS feed for Activity Log
 - Removed old hack for register_globals work-around that is no longer
   needed.  This will improve security.
 - Moved hard-coded upcoming.php config setting to System Settings.
 - Bug fixes: call getPostValue in verious form handling files
 - Added new 'Security Audit' page.
 - Fixed bug: external users with no email address get squished into a single
   user on second edit
 - Apply [ 1900716 ] themes not sticking if auth_http true
 - Apply PATCH [ 1900714 ] User Custom Headers Patch
 - Add option to include iCalendar attachment to emails for both
   reminders and notifications
 - Add option to include iCalendar attachment to reminder emails
 - Apply PATCH [ 1878056 ] Call toggle_datefields() JavaScript function with onClick
 - Apply PATCH [ 1894150 ] corrections to 'translations/Italian.txt'
 - Fix bug [ 1844751 ] Events on Sundays not displayed in DayByTime view
   (thanks neufeind)
 - Fix bug [ 1882034 ] weekly repeat not showing in first week of some months
   (thanks neufeind)
 - Apply patch [ 1895173 ] Fix for reminder-format
 - Fix bug [ 1893997 ] iCal export from Outlook over https (thanks neufeind)
 - Fix bug: not auth for certain events where public is participant
 - Fix bug: 'Remote Calendar' menu link not brining up correct tab on page
 - Fix bug: single quote in nonuser name causes JS error
 - Fix bug [ 1851371 ] Notification not sent on description change
 - Fix bug [ 1839882 ] help/guide pages blocked (non auth)
 - Fix bug [ 1851209 ] advanced search doesn't show on public calendar
 - Fix bug [ 1814525 ] Repeating event deletion
 - Apply PATCH [ 1802793 ] iCS export - LDAP - Empty Attendee's info
 - Security fix 1826571: misc XSS issues
 - Modified iCalendar output to correct ATTENDEE output to conform to
   RFC2445; fixed attendee to user login if no fullname info available.
 - Modified iCalendar output to avoid bug in Sunbird 0.7.
 - Fix bug [ 1851220 ] cannot enter multiple categories.. only first one is kept
 - Added new rss_unapproved.php that will generate RSS 2.0 listing
   of unapproved events.
 - Apply PATCH [ 1878014 ] Fix selectDate() JavaScript function
 - Security fix: Better cleansing of search.php 'adv' parameter
 - Security fix: do not allow certain HTML tags in event descriptions
   such as SCRIPT, META, LINK, OBJECT, APPLET and others.
 - Fix bug: set default translation to 'English-US.txt', which seems to
   avoid the "No such translation" error for some pages (icalclient.php).
 - Fix bug [ 1840084 ] 'External participants' is not at the left margin like
 - Apply PATCH [ 1836703 ] a few corrections to Italian.txt
 - Apply PATCH [ 1834400 ] some corrections to Italian.txt
 - Apply PATCH [ 1834285 ] All remaning items for Italian.txt
 - Partial fix bug [ 1832024 ] Notice: Undefined variable: LANGUAGE in /var/www/webcalendar/includes/translate.php
   (Forgot to set $LANGUAGE global in function translate.
    And, some things seem to be getting translated more than once.)
 - Add support for Czech UTF8
 - Fix bug [ 1830952 ] Cannot add events - Error, during execute Query
 - Fix bug [ 1737128 ] From notification to "not authorized"
 - Fix bug [ 1823063 ] CVS 1.1.7 - month /week view - no today color right of event
 - Fix bug [ 1829125 ] I can not add external calendars
 - Fix bug [ 1792313 ] Installation wizard step 1 shows wrong colors
 - Fix bug [ 1830446 ] Installation wizard will not be displayed in proper language
 - Fix bug [ 1829224 ] getPostVal fails on non-array
 - Fix bug [ 1827370 ] would not add multiple participants to event
 - Added ability to place page in more than one UAC 'page_lookup' group. We should be able to eliminate
   'page_lookup_ex' array eventually.
 - Fix bug [ 1828397 ] "you are not authorized" error
 - Fix bug [ 1828416 ] no pull-down entries for languages at 'preferences' and 'sys
 - Fix bug [ 1828232 ] Error after Login
 - Add capability to translate dates and numbers.
   In preparation for eliminating file 'includes/date_formats.php'.
 - Applied PATCH [1826466 ] update to translations/Italian.txt
 - Fixed bug [ 1826464 ] wrong default browser language
 - Applied PATCH [ 1813253 ] patch for upgrade-postgres.sql
 - Fixed bug [ 1818796 ] DbCachedir readable by any WebCal installation
 - Fixed bug [ 1819188 ] v1.1.6 SelectWeek problem
 - Added <blink></blink> login back into translate.php to aid in development
 - Cleaned up new Participant Selection
 - Fix bug [ 1819327 ] 1.1.6 Wrong "goto my calender" link, with own views
 - Fix bug [ 1811925 ] Participant selection needs improvement
   with related Patch [ 1816757 ] v1.1.6 PATCH to improve Participant Selection
 - Fix bug [ 1814377 ] 1.1.6 Week.php and repeats
 - Fix bug [ 1792322 ] wrong filled variables at installation wizard step 3
   ( PHP str_replace doesn't work right. )
 - Patch 1798549: Updated French translation
 - Fix bug [ 1802380 ] Error in freebusy.php.
 - Patch 1791947: Handle the OPTIONS method in icalclient.php
   (Used by Evolution linux client.)
 - Patch 1792796: Debian fix for vulnerability CVE-2006-6669
   Fixes cross-site scripting (XSS) vulnerability in export_handler.php.
 - Security fix: vulnerability in $includeDir in functions.php
   Renamed getPredefinedVariables.php to formvars.php
 - Patch 1719114: Allow leading/trailing space in header/trailer file name
 - Added Indonesian translation
 - Bug fix: icalclient.php was not working with Thunderbird/Lightning
 - FIxed bug [ 1780025 ] moonphase: Notice: Undefined index: 20070731 in functions.php
 - MySqli can now create database during installation
 - Remove '+' icon from month.php, week.php, day.php.
   Users can now double-click on a date to add a new event.
 - Added CDATA block around JS in view_r.php
 - Applied PATCH [ 1203702 ] Sys-Admin Guide fails to mention LDAP support in PHP
 - Updated list of supported languages in SysAdmin.html
 - Per PATCH [ 1622050 ] fixed somy messages
   I've started to combine some phrases together for easier translation.
   Including moving the punctuation from the code and into the phrase.
 - Update the URL to the WebCalendar wiki
 - Fixed bug [ 1748124 ] reminder email has wrong date
 - Fixed bug [ 1766614 ] 'weekstart' at edit_entry is wrong

Version 1.1.3 (4 Aug 2007)
 - Fixed bug: when upgrading from 1.0.5 to 1.1.X, a bad cookie session can
   cause PHP to crash on some systems.
 - If settings.php is size 0, then redirect to install page (because install
   was started but not completed).
 - Fixed bug [ 1744648 ] Theme changing over system settings
 - Fixed bug: error in SQLite creation SQL
 - Fixed bug [ 1738333 ] Events without reminder
 - Fixed bug [ 1737128 ] From notification to "not authorized"
 - Fixed bug [ 1766291 ] mini-calender pop-up will not be displayed correctly
 - Fixed bug [ 1754622 ] every 'normal' entry will be displayed as 'Priority: 2-High'
 - Fixed bug [ 1765906 ] layered-entries don't show detailed pop-up infos via hover
 - Fixed bug [ 1765924 ] improvements requested at view_entry.php refering 'Notes'
 - Fixed bug [ 1765928 ] cannot add attachments to an entry
 - Fixed bug [ 1765881 ] long day names not proper adjusted in week.php for English
 - Fixed bug [ 1765970 ] enabled option "Display tasks in Calendars" will not work at
 - Fixed bug [ 1765977 ] cannot edit any entries of users.php
 - Fixed bug [ 1700505 ] repeating multiday events
 - Fixed bug [ 1664815 ] Import Sum/Desc trunc if colon in text
 - Fixed bug [ 1765216 ] repeating matrix (by Day) didn't start with the adjust week-
 - Fixed bug [ 1755306 ] Option with 'Note' are not hidden if Entry is set to 'No'
 - Fixed bug [ 1756739 ] layout of system-settings and preference are not fexible dep
 - Fixed bug [ 1763463 ] "+" sign cannot be used for a second time using week.php
 - Fixed bug [ 1763455 ] week.php not displayed correctly.....
 - Fixed bug [ 1763472 ] repeat-function "weekly" will not proper work
 - Fix bug [ 1763378 ] view by week incorrect output
 - Fix bug [ 1755948 ] Oracle Installation Error
   both tables-oracle.sql and upgrade-oracle.sql
 - Fix bug [ 1755735 ] v 1.1.3 Category Edit Sample Color
 - Fix bug [ 1752504 ] selectDate doesnt work if you want to edit an entry
 - Fix bug [ 1751928 ] edit_entry allows anyone to add entries
 - Fix bug [ 1750990 ] next year / prev. year buttons in year view
 - Added German UTF8 convertion by J�rg Raftopoulos
 - Fix bug [ 1745238 ] Error in event_get_external_users (cvs release)
 - Fix bug [ 1744641 ] Layout "Public Preferences"
 - Fix bug [ 1744773 ] Bug at install function "do_v11b_updates()"
 - Fix bug [ 1744648 ] Theme changing over system settings
 - Fix bug [ 1744662 ] German translation
 - Fix bug [ 1743401 ] code error for view type=day
 - Applied PATCH [ 1726402 ] Fix for send_reminder.php
 - Fix bug [ 1718609 ] Cannot login after upgrading/updating
 - Fix bug [ 1719102 ] Including header/trailer file also includes its file name
 - Changed iCalendar output (export, publish) for all-day and untimed events.
 - Fixed bug [ 1714785 ] new feature "plugins" not being displayed correctly at system settings
 - Fixed bug [ 1711983 ] cannot switch between registers of system settings
 - Fixed bug [ 1714844 ] Small patch for includes/styles.php + includes/js/popups.php
 - Applied PATCH [ 1710686 ] Version 1.0.5 uses javascript functions undefined in IE6
 - Applied PATCH [1060051 ] Add hover effect for week number links
 - Applied PATCH [ 1659949 ] MyCalendar Link not including .php suffix
 - Applied PATCH [ 1669552 ] Themes are not all listed in drop-down
 - Applied PATCH [ 1697119 ] popups.php - fix for IE popups falling of screen.
 - Instead of 'removing' translations identical to English, replace them with
   an equal sign "=".  Cuts down on <<MISSING>> by update_translation.pl and
   still saves a lot of file space.
 - Fully populate translations[] with default English text
   before loading other language files.
 - Begin support for new language - JRR Tolkien's "Elven". :)
   See the comment notes in the file for where to get the fonts.
 - Removed several more phrases from translations/*.txt files that are the same
   in English.  Between these last two 'removals', overall file size is 100+K smaller.
 - Removed "ob_start()" from help_docs.php so it would output.
   Removed several phrases from translations/*.txt files that are the same in
   English - cutting overall file size considerably.
 - Fixed bug [ 1663286 ] pop-up window of categories are not dynamic
 - Fixed bug [ 1663292 ] date-pop-up --> mini calendar should be increased the size
 - Fixed bug [ 1671714 ] right bracket is displayed for untimed events at day.php
 - Fixed bug [ 1663269 ] untimed events and tasks not proper displayed at day.php
 - Fixed bug [ 1663341 ] first square in the time-matrix not proper visible for BG-
 - Fixed bug [ 1673806 ] Premature end of script headers
 - Fixed bug [ 1660278 ] Fatal Error: Invalid data format forid
 - Fixed logic error: $translations_loaded was being set = true before it actually was.
 - Security patch: don't allow URL to set 'noset', which allows users
   to then set other global variables.
 - Fixed bug [ 1657494 ] Unable to repeat events by slecting months
 - Fixed bug [ 1654078 ] cannot managed 'public access' without using 'top-menue'
 - Fixed bug [ 1657946 ] little thick squares at layered events at month.php
 - Fixed bug [ 1657794 ] missing seperate line between sort-header and tasks
 - Fixed bug [ 1657789 ] 'due-dates' are not displayed at the 'little-task-list'
 - Fixed bug [ 1606260 ] no sunday not in view: WEEK (users vertical)
 - Fixed bug [ 1652424 ] no/little clues on actual user when viewing other's cal
 - Fixed bug [ 1650891 ] Including apostrophe (') in report name breaks top menu.
 - Fixed bug [ 1650140 ] Cannot export other user's calendars
 - Fixed bug [ 1603601 ] priority in 'small-task-list' will not be sorted correctly
 - Fixed bug [ 1636405 ] Public Acces not avail in e.g. layers ...
 - Fixed bug [ 1636045 ] Public Access: only part of events visible, and only owner..
 - Fixed bug [ 1636635 ] detailed view of a layered event at public access is not
 - Fixed bug [ 1646854 ] Using UAC public access events are not shown at the calendar
 - Fixed bug [ 1647427 ] some events not visible in March week view
 - Fixed bug [ 1647726 ] double entries shown at 'system settings' admin.php
 - Fixed bug [ 1645985 ] cal_location limited to varchar(50)
 - Fixed bug [ 1637253 ] After importiong Outlook CSV file, Reminders not set
 - Added option to display end times in calendars
 - Fixed bug [ 1643240 ] 'about.php' cannot be used if using NO 'Top-Menu'
 - Fixed bug [ 1638019 ] Annual repeating events for the last day in Feb don't appear
 - Fixed bug [ 1636312 ] Notice: Undefined index: USER_PUBLISH_ENABLED
 - Fixed bug [ 1636026 ] missing user= in weekview links for other user's cal
 - Added VTIMEZONE capture and reuse logic
 - Added CAPTCHA validation option  to Public Access event creation
 - Fixed bug [ 1629758 ] Edit Event goes to Add Event
 - Fixed bug [ 1631416 ] Reports not displayed for 'Public Access' using UAC
 - Fixed bug [ 1631478 ] Edit/Add Layer has the same 'Headline' and no <br>
 - Fixed bug [ 1631492 ] OK-Button of pop-up color.php doesn't work properly
 - Fixed bug [ 1631505 ] categories are activated although not definied using categor
 - Fixed bug [ 1627932 ] issue sorting untimed events in month view
 - Fixed bug [ 1620626 ] Self Register broke in v1.1.2 (requires public)
 - Fixed bug [ 1623662 ] Additional Timezone for ical parsing logic
 - Fixed bug: gradient backgrounds would fail if images/cache is not
   writable due to bug in PHP's is_writeable function.
 - Fixed bug [ Help / Troubleshooting] Help needed getting Webcalendar to work
 - Fixed bug [ 1610640 ] changing option-description of 'advanced search' for a
 - Fixed bug [ 1615563 ] user can remove his own admin-permisssions
 - Updated Basque translation (based on 1.0 update)
 - Fixed bug [ 1618864 ] EXTRA_SELECTION_LIST versus EXTRA_SELECTLIST in site_extras
 - Fixed bug [ 1615896 ] Repeating Event Exclusions Broken
 - Fixed bug [ 1617800 ] 'Update Task Precentage' doesn't create activity log
 - Fixed bug [ 1618335 ] "Column 'cal_is_public' cannot be null" when adding NUC
 - Fixed bug [ 1617805 ] missing LINK to Craig's site if using 'top-menue'
 - Fixed bug [ 1617595 ] edit_template.php Error
 - Fixed bug [ 1617983 ] 'previous' and 'next' arrows didn't work at 'pop-up'-minical

Version 1.1.2 (18 Dec 2006)
 - Fix in dbi4php.php when translate is not yet defined
 - Created new function get_users_event_ids ()
 - Created new getPredefinedVariable.php that contains all getXxxValue functions
 - Fixed bug [ 1612332 ] empty exports with date limits
 - Fixed bug [ 1445428 ] Import needs utf8_decode()
 - Fixed bug [ 1614644 ] Remote subscriptions don't work with umlauts (Sunbird)
 - Implemented PATCH [ webcalendar-Bugs-1615738 ] EMAIL_EVENT_CREATE pref don't get invisible
 - Updated German.txt for ws/event_mod.php and ws/user_mod.php.
 - Fix bug [ 1614167 ] adjusted bg-image not working at views
   Cut the wrong set of dupe code the first time.
 - Updated German.txt. Thanks Markus.
 - Fix typo [webcalendar - Help / Troubleshooting] Tiny error in "styles.php" v.1.197
 - Applied PATCH [ 1221369 ] upgrade docs <-> Postgresql
   but, to install/sql/upgrade-postgres.sql instead of UPGRADING.html
 - Fix bug [ 1612985 ] new installation get an error using the installation-wizard
 - Fix bug [ 1612973 ] error during using 'update_translation.pl'
 - Implemented PATCH [ 1611288 ] Japanese translation updated
 - Added translate() to some phrases in dbi4php.php.
 - Implemented PATCH [ 1503321 ] Modify dbi4php.php to enable concurrent MySQL connections
 - Implemented PATCH [ 1436533 ] Case insensitive sorting from LDAP users
 - Fixed bug [ 1610829 ] view_entry.php and postgres issue
 - Fixed bug [ 1605992 ] matrix-grid-thickness not correct displayed for IE
 - Fixed bug [ 1607264 ] login problem for non-admin user v1.1.2
 - Impemented PATCH [ 1562620 ] Date Range Search
 - Impemented RFE [ 903167 ] Advanced Search by Category/Date Range
 - Fixed bug [ 1608335 ] incomplete display of access.php (using UAC)
 - Fixed bug [ 1607603 ] Display description in printer day view no longer works
 - Fixed bug [ 1608365 ] default category should be suggested if adding any entries
 - Fixed bug [ 1608533 ] unable to use 'System Log' if not using 'top-menue'
 - Finished fixing bug [ 1600208 ] send_reminders.php and postgresql
 - Implemented RFE [ 1502773 ] Creator emails requested
 - Implemented RFE [ 1097294 ] Allow 'site_extra' fields to be included in emails
 - Implemented RFE [ 886520 ] Support for multiple selections in site_extras
 - Implemented RFE [ 1561653 ] Only a few site extras in the popup
 - Implemented RFE [ 1603169 ] Add checkbox option to site_extras
 - Fixed bug [ 1603599 ] color of definied-global-category will not be displayed as
 - Fixed bug [ 1601664 ] Spurious scheduling conflict
 - Fixed bug [ 1603582 ] bug at 'help_bug.php' missing language
 - Fixed bug [ 1603583 ] 'credits' at 'about.php' didn't work
 - Fixed bug [ 1603594 ] missing button label for choosing color at 'categories'
 - Made Priority conform to RFC2445 1-9 scale 1-highest, 9=lowest
 - Fixed bug [ 1601250 ] detail view of a layered events from upcomming.php doesn't
 - Fixed bug [ 1600914 ] Some tasks omitted from calendar display
 - Fixed bug [ 1600907 ] Small task list popup Due time is in GMT not local time
 - Fixed bug  [ 1600909 ] Cannot make weekend start on Sunday
 - Implemented Category Color RFE and PATCH ( many seperate entries )
 - Fixed bug [ 1600208 ] send_reminders.php and postgresql
 - Fixed bug [ 1599634 ] 'colors.php' doesn't work properly
 - Fixed bug [ 1600194 ] Minical dropping date in URL parsing
 - Implemented RFE [ 468275 ] a variable for background picture
 - Implemented RFE [ 765824 ] Start week on other days as well
 - Fixed bug [ 1578813 ] very compl. handling of UAC for selecting participant
 - Fixed bug [ 1598283 ] 'access.php' is shrinked in German
 - Stanardized use of print_color_input_html() function for all color selections
 - Modified access.php to allow easier switching between users
 - Moved access DEFINEs into includes/access.php
 - Added new user option 'Display Long Day Names'
 - Added new Color Picker
 - Fixed bug [ 1573961 ] Excessive LDAP connections for single calendar query
 - Fixed bug [ 1594714 ] upcomming.php doesn't work
 - Closed bug [ 1508701 ] starting 'ControlPanel' creates an error
 - Fixed bug [ 1593524 ] No CSS for "login.php" since "css_cacher-php" update
 - Added new About WebCalendar page
 - Fixed problem with AS used in sql table aliases
 - Fixed bug [ 1561485 ] User sorting doesn't work with LDAP users
 - Fixed bug [ 1592079 ] undefined constant MENU_DATE_TOP
 - Fixed bug [ 1591892 ] disabling one 'root'-item the whole menue-items are
 - Implemented RFE [ 1425299 ] location of the 'topmenu' below customize header
 - Implemented RFE [ 1455565 ] Nice menu.
 - Implemented RFE [ 1532277 ] First- and Lastname should be displayed instead of Username
 - Implemented RFE [ 1588600 ] configurable menu
 - Fixed "bug" [ 1591243 ] perl-script 'check_translation.pl' and
   'update_translation.pl' doesn't work properly.
   Changed $show_missing = 0 back to $show_missing = 1.
 - Fixed bug [ 1591329 ] preview-view of the calendar in 'system-settings' has 2 'today
 - Fixed bug [ 1590474 ] Webcalendar 1.1.1 Repeat
 - Fixed bug [ 1521851 ] 'deleted entries' can be reactivate by 'activity.php'
 - Applied PATCH [ 1570573 ] Use <ul> list in view_entry.php
 - Fixed bug [ 1588205 ] Warning in preferences re ANSI_X3.4-1968
 - Fixed bug [ 1587046 ] error messages during to use the 'installation-wizard'
 - Fixed bug [ 1582833 ] list_unapproved.php can't approve group of events
 - Fixed bug [ 1587041 ] error messages during the 'login.php'
 - Created common mail function in WebCalMailer.class
 - Created new generate_application_name() function
 - Created new is_weekend() function
 - Created new generate_activity_log() function
 - Fixed bug [ 1580720 ] Missing menus
 - Fixed bug [ 1583074 ] Switching between 'Languages' will erase the entries
 - Fixed bug [ 1585625 ] 'register.php' didn't displayed in the proper language
 - Fixed bug [ 1584656 ] Bug in Gradient Backroundcolors
 - Fixed bug [ 1584275 ] extra week day in VIEW week
 - Fixed bug [ 1584284 ] disappearing URLs if edit entry
 - Fixed bug [ 1573642 ] detailed view for public access cannot be activated by UAC
 - Fixed bug [ 1572685 ] no add attachment for users not-logged in
 - Temporary fix for bug [ 1580720 ] Missing menus
   While we look for more elegant solutions.
 - Fixed bug [ 1582942 ] Javascript errors in edit_entry.php if Repeats disabled
 - Fixed bug [ 1582745 ] 'Public Access' nor more translated in the participants-list
 - Fixed bug [ 1582686 ] installation-wizard didn't start with the proper language
 - Implemented RFE [ 1529290 ] Purge Deleted events
 - Applied PATCH [ 1557394 ] patch for LDAP to use ldap_user_filter for login (updated)
 - Applied PATCH [ 1580572 ] Russian.txt file update (Russian and Russian_utf8)
   (after running tools/update_translation.pl on them).
 - Fixed bug [ 1525230 ] Publish does not work with use_http_auth=true
 - Fixed bug [ 1575484 ] Remote publish/subscribe doesn't authenticate correctly
 - Fixed bug [ 1577365 ] icalclient.php dont work with http auth setting
 - Applied PATCH [ 1445931 ] Put calendar owner's name on browser tab
   modified to check if $APPLICATION_NAME == 'myname'
 - Fixed bug [ 1578910 ] changing 'browser-language' doesn't refresh the 'pull-down'
 - Fixed bug [ 1578686 ] Missing space in SQL in send_reminders.php (CVS)
 - Fixed bug [ 1578146 ] not proper displaying of 'date' and 'time' in view_etnry.php
 - Fixed bug [ 1577999 ] SQL error after patch 1207304
 - Fixed bug [ 1578177 ] Fresh install missed table
 - Applied updated PATCH (bug fix) [ 1536655 ] Use better HTML for Search
 - Applied PATCH [ 1207304 ] Search "phrase"; display keywords in results.
   Cut some dupe code. Lines < 80 chars.
 - Finished Implementing PATCH [ 1536655 ]  Use better HTML for Search
 - Fixed several issues with repeating events using multiple byxxx values
 - Fixed bug [ 1573679 ] 'repeating month per day' will not proper translated
 - Added enddate parameter to function read_repeated_events()
 - Fixed bug [ 1575180 ] Repeating Entries are not longer displayed
 - Fixed bug [ 1574432 ] 'date selectors' missing at the bottom if using UAC
 - Fixed bug [ 1574297 ] meaning of date selector position false
 - Fixed bug [ 1567973 ] UAC settings public access / no edit = no entries?
 - Fixed bug [ 1567901 ] User has no rights to see entry by public
 - Fixed bug [ 1573642 ] detailed view for public access cannot be activated
 - Fixed bug [ 1572704 ] no event-details for PublicAccess if cal included via layers
 - Fixed bug [ 1573929 ] view users vertically - vertical jump of Monday�s event
 - Begin support of new languages: Afrikaans, Albanian, Arabic, Croatian,
   Hebrew, Lithuanian, Serbian, Slovak, Slovenian
 - Fixed bug [ 1573582 ] grids at preview-colours will not be displayed
 - Fixed bug [ 1573679 ] 'repeating month per day' will not proper translated
 - Fixed bug [ 1567363 ] ICal Import and Publish Does not properly use mozilla timezone
 - Fixed bug [ 1554326 ] All events not imported using ical (when conflicting)
 - Fixed bug [ 1572678 ] only ONE Layer for Public Access possible
 - Fixed bug [ 1572511 ] Week Numbering in October
 - Fixed bug [ 1572098 ] install-wizward abort
 - Made edit_report variables auto-insert on click
 - Added URL as an option for events per RFC2445
 - Implemented PATCH [ 1534419 ] Make Docs Valid XHTML
 - Fixed bug [ 1559816 ] QUERY_STRING
 - Added patch [ 1518822 ] Faster access.php
 - Fixed bug: Not all yearly repeating events were not showing up in
   year view and reports that spanned a year.
 - Applied patch [ 1567654 ] Add some <label> tags to edit_entry.php
 - Fixed bug [ 1566223 ] 25 hours in a day?
 - Added patch [ 1531698 ] Reorganized and grouped System Settings
   main options and user preferences
 - Added patch [ 1484538 ] Updated German translation
 - Added patch [ 1519611 ] Added new French-UTF8 translation
 - Added patch [ 1558537 ] Updated Russian translation
 - Added patch [ 1561042 ] reformatted Webcalendar-Database.html
 - Fixed bug [ 1561290 ] flags of 'Allow Access to Other Users' Calendar'
 - Fixed bug [ 1565606 ] Changing in UAC not worked
 - Fixed bug [ 1565004 ] unapproved events
 - Fixed bug [ 1564901 ] '__public__' at the 'conflict-view' not translated
 - Fixed bug [ 1563734 ] 8 days in view L (week)
 - Fixed bug 1563740: Background color for current day not shown at weekends
 - Added 'System Log' in menu.  Added logging for adding/editing/deleting
   users and invalid logins.
 - Fixed bug 1559590: Colors wrong
 - Fixed bug 1559486: duplicate code redundancies - view_entry.php
 - Fixed bug 1561612: DISPLAY_CREATED_BYPROXY doesn't work when using LDAP
 - Implemented RFE 1560698: redirected back to the unapproved list after edit
 - Fixed bug 1560705: repeated days displayed only in English not in the desired
 - Fixed bug 1519987: incomplete 'matrix' using week.php for Seamonkey & Firefox
 - Fixed bug 1559816: QUERY_STRING
 - Fixed bug 1560666: Current User is showing in pull down menu of
 - Fixed bug 1560712: date-selection popup-menu not properly adjusted
 - Fixed bug 1496930: 'userlist' will not be sorted as at your site
 - Fixed bug 1559567: v1.1.1 Fresh install Fails due to no database
 - Fixed bug 1556705: Missing mailto links on view_entry.php

Version 1.1.1 (15 Sep 2006)
 - Fixed bug 1431329: user_search_dn() uses call by ref and too many admins
 - Fixed bug 1523439: Bug with admins in LDAP
 - Fixed bug 1523442: Bug (Warning) with pass-by-reference
 - Fixed some issues with installation script dealing with blank databases
 - Created commom error function to hopefully cleanup the code
 - Fixed bug 1554383: Times next to events during import is wrong
 - Fixed bug 1555860: SQL Error on import
 - Changed translate.php to ignore /install/ files if unneeded
 - Implemented PATCH 1539603: Move </body></html> into print_trailer()
 - Fixed bug 1554309: demo calendar event days are not the same
 - Fixed bug 1553518: events one day early in list_unapproved.php
 - Fixed bug 1553639: Events missing from the 31st day of month
 - Applied PATCH 1529623: Click on 'category' text field opens category-manager direct
 - Applied PATCH 1532231: Change bgcolor for exclusions/inclusions in repeat event
 - Fixed bug 1510777: Standardize layout of help pages
 - Fixed bug 1550117: UAC default settings that don't already exist in DB
 - Fixed bug 1547474: duplicate code redundancies - js/edit_entry.php
 - Fixed bug 1545314: duplicate code redundancies - edit_user_handler.php
 - Fixed bug 1509458: Reminders are coming at the wrong time
 - Fixed bug 1536288: URL missing folder name
 - Fixed bug 1512310: Path Truncation in Windows
 - Fixed bug 1522439: Wrong colors for 'Manage Calendar of'
 - Fixed bug 1542228: Background for "days with events" color not working
 - Fixed bug 1543579: typos and other minor glitches - view_entry.php
 - Fixed bug 1522357: after upgrading 'categories' are enabled
 - Fixed bug 1541558: Non-users ignore "NONUSER_AT_TOP" during import
 - Fixed bug 1532286: UAC settings of 'admins' will be overwritten
 - Fixed bug 1538312: get_my_users() may return incorrect cached data
 - Fixed bug 1538669: UAC issue with "invite" permissions vs "view"
 - Fixed bug 1540251: Activity log wrong for imported entries
 - Fixed bug 1538055: UAC for "Default Configuration" does not show correct values
 - Fixed bug 1539899: postgres problem
 - Fixed bug 1538718: Logic typo in 'view_entry.php'
 - Fixed bug 1536702: Repeated events don't show up in Availability window
 - Fixed bug 1536755: Activity Log for single event shows incorrect time
 - Fixed bug 1536785: Activity Log Report only shows times in GMT
 - Fixed bug 1521837: no entries for 'deleted entries' at 'activity.log'
 - Fixed bug 1522560: 'Scheduling Conflict events' will be displayed in mixed
 - Fixed bug 1530179: 'Public Access' using UAC will not be translated
 - Fixed bug 1518552: PHP5 and MySQLi Warnings
 - Fixed bug 1520002: 'top-menue' are not at the left-margin for year.php
 - Fixed bug 1516114: Javascript top menu does'nt work in french
 - Added hCalendar feature to Remote Calendars
 - Fixed bug 1513448: Cannot Display Attachment
 - Fixed bug 1511337: time-stamps at the 'activity-log' are incorrect
 - Fixed bug 1511120: 'unapproved-icon' in 'top-menue' not properly displayed
 - Fixed bug 1510761: missing 'back to my calendar' in the 'top-menue'
 - Fixed bug 1497931: Weird repeating events - read on
 - Fixed bug 1509045: repeated events seem to be shown out of order
 - Fixed bug 1510599: Adding event to public access error.
 - Fixed bug 1508681: 'convert to GMT' - button is missing
 - Fixed bug 1507985: event participant shown in public popup
 - Fixed bug 1506417: user-imap.php (rev 1.10) gave me a parse error on line 151
 - Changed view_t.php to use $ENTRY_SLOT value and improve event placement
 - Fixed bug 1503762: Table cell bg for current day not diplayed on weekends
 - Fixed bug 1505083: get_weekday_before doesn't return a value on
 - Fixed bug 1502420: daily repeat doesn't skip weekend
 - Fixed bug 1414471: missing 'back to my calendar' in the trailer for 'non_user'
 - Fixed bug 1366151: NUC's cannot be handled by their admins
 - Fixed bug 1499150: Events Not Wordwrapping Correctly
 - Implemented new method of restricting direct file access
 - Implemented PATCH 1498087: Add simple navigation to help
 - Implemented PATCH 1498201: Don't print ThemeMenubar
 - Fixed bug 1497840: Entries not shown in Day view for current day +GMT TZ only
 - Fixed bug 1472286: Event Creation Aborted Upon Error
 - Fixed bug 1476212: Conflict check with repeating events and DST
 - Fixed bug 1428140: 'top-menue' - truncated using IE6
 - Fixed bug 1496308: error message regarding 'cachedir'
 - Implemented RFE 1496319: Left align "Users" column in "Week (Users vertical)" view
 - Implemented RFE 1176218: can not select category in year-view
 - Implemented RFE 1075840: "Manage calendar of" during management
 - Fixed bug 1490641: 'Reports' out by 2 weeks
 - Implemented PATCH 1470681: New preference: DISPLAY_TASKS_YEAR
 - Implemented PATCH 1459888: New preference: DISPLAY_MINUTES
 - Fixed bug 1493472: entered 'task' will not be displayed on day.php
 - Fixed bug 1495426: grid incomplete at preview of colors
 - Fixed bug 1457983: Assistants don't delete events for everyone
 - Fixed bug 1487016: Events not listing in time order
 - Changed functions to return strings vs echoing data...precursor to templating
 - Fixed bug 1492216: Firefox 'Live Bookmark' shows '(Empty)'
 - Fixed bug 1492208: Entries not displayed on last day of week in 'Week' view
 - Fixed bug 1493481: 'small task list' is on the bottom of the month.php
 - Fixed bug 1491490: cal_url is too short
 - Fixed bug 1492792: Month-, Week- and Year-selection at trailer are missing
 - Fixed bug 1493405: [_public_] won't be displayed in the proper language
 - Fixed bug 1493446: 'Edit' - button not displayed in the proper language
 - Fixed bug 1486953: 'Unapproved Entries' list shows every NUC
 - Fixed bug 1492771: rejection of 'Themes' AND 'Menu themes' don't work
 - Fixed bug 1492753: missing 'convert to GMT' at wizard 'step 4
 - Fixed bug 1491491: reload_remotes.php doesn't display any error message
 - Implemented RFE 1490058: export a certain category
 - Fixed bug 1489354: installation wizard doesn't work after 'step3'
 - Fixed bug 1490179: Error after upgrading to latest CVS 1.1
 - Fixed bug 1491406: using 'Not yet registered? Register here!' cause an error
 - Fixed bug 1490944: 1.1.0 works only with firefox
 - Fixed bug 1490979: descriptions of preferences will not be <bold>
 - Fixed bug 1490969: option 'Display tasks in Calendars:' enabled will not work
 - Fixed bug 1490749: reminder-entry in pop-up couldn't be translated
 - Fixed bug 1490046: Time zone problems
 - Fixed bug 1474991: Can't see all participants in availability window
 - Fixed bug 1476022: Availability Status
 - Fixed bug 1434994: minitask leaks details on other user's private tasks
 - Fixed bug 1489393: "Add Entry" defaults to first work hour
 - Fixed bug 1488942: 'system settings' and 'preferences' couldn't be displayed
 - Fixed bug 1462457: reminder form should have more conditionally disabled fields
 - Implemented RFE 1379431: Global Layers!
 - Implemented RFE 1337524: not proper display of "Repeating events" in 'view_entry.php'
 - Implemented dropdown time entry fields based on PATCH 1276894
 - Added option to set remote access permissions to publish.php and rss.php
 - Impemented RFE 1470722: option to disable 2nd entry of cross-day event
 - Fixed bug 1448727: Conflict changes national characters
 - Fixed bug 1477303: CVS Cross-Day events bug
 - Fixed bug 1474888: Timezone issue on updated timestamp (1.1.cvs)
 - Implemented RFE 617965: approve/confirm/reject all events
 - PATCH 1470047: Auto-Completing Tasks
 - Changed gradients to save images in cache file and return real
   url if called from background_css function in css files
 - Changed css and javascript to external files and enabled caching
 - Added db_cachedir setting to install/index.php script
 - Fixed bug 1467713: report belongs to a deleted user remains in DB
 - Fixed bug 1468170: Can't create Views with NUCs
 - Fixed bug 1468558: view of deleted user remains in the database
 - Fixed bug 1468877: <table> tag missing from 'Add Entry' site extras
 - Fixed bug 1428558: Rejected Event in Views
 - Changed the Timezone calculations to use PHP putenv
 - Fixed bug 1343631: Timezone / Summertime error
 - Fixed bug 1454998: Wrong character in notification mails
 - Fixed bug 1460511: 'Invalid Login' cannot be displayed correctly in German
 - Fixed bug 1462428: repeated reminders not working when using date/time
 - Fixed bug 1462455: reminder send-time offset from event end not beginning
 - Patch 1456375: day view not translating "Description"
 - Fixed bug 1455193: problem with updating the translation file
 - Fixed bug: Do not display logout/export in trailer if system is read-only
 - Fixed bug 1420859: Problems with overriding conflict
 - Fixed bug 1451583: Umlaut Event popup text together with FCKEditor-2.0
 - Patch 1279537: Don't display confidential events in upcoming.php
 - Patch 1445579: sort users in views
 - Performance improvement: if "cachedir" is defined in settings.php, then
   translations are parsed and stored as binary.  Future requests will load
   the already parsed binary data.
 - Added new options in includes/settings.php:
   "cachedir" specifies a db query cache directory.
   "db_debug" if "on", then SQL will be displayed at bottom of each page
 - Fixed bug 1448958: All day events incorrectly displayed in week view
 - Fixed bug 1449561: overlapping buttons at 'adminhome.php'
 - Fixed bug 1446790: user-ldap.php bug
 - Updated user-app-joomla.php to work with Joomla 1.0.8
 - Fixed bug  1445762: "cyclic link" when trying to remote subscribe
   but this may affect bug 1403574
 - Fixed bug 1440066: Administrative Tools graphical problem in IE
 - Fixed bug 1411755: Error after editing entry that has a reminder set
 - Fixed bug 1445157: Canadian english not defined, fix included
 - Fixed bug 1446262: Broken \n in functions.php
 - Implemented improved reminder UI and added repeating functionality per RFC2445
 - Implemented PATCH 1442317: view_entry.php: Disable $proxy_fullname for LDAP users
 - Fixed bug 1366002: No 'all day' event with manual repeat at either DST change
 - Implemented Feature Request1440366: Add a none option to Category Icons
 - Implemented PATCH 1440975: Use category name as title for category icons
 - Fixed bug 1434525: rss.php shows some events twice Second Pass
 - Fixed bug 1439655: cannot save permissions of public access using UAC
 - Fixed bug 1438954: "Top menu" not working on view_entry.php
 - Fixed bug 1438952: Description & Site Extras not showing in pop-ups - CVS
 - Fixed bug 1416408: installation-wizard hang-up
 - Added updated UAC controls. This requires a databse change. Users can now
   grant permission to their own calendars.
 - Fixed bug 1435533: No headers if $LANGUAGE empty
 - Fixed bug 1435460: Extra '.txt' in includes/translate.php
 - Fixed bug 1435576: Duplicate selectors, almost, in styles.php
 - Fixed bug 1435793: Bug in admin.php
 - Fixed bug 1420372: Cannot add event to public calendar
 - Fixed bug 1434525: rss.php shows some events twice
 - Fixed bug 1424599: too many events in rss feed
 - Fixed bug 1433366: no reminders sent for repeated events without an end date
 - Fixed bug 1418124: Ending of recurrence: Fields not editable
 - Fixed bug 1430285: edit an event & time wrong
 - Fixed bug 1430670: Undefined Index in functions.php
 - Fixed bug 1430755: Lunar phases mssing when display all days selected
 - Fixed bug 1430562: translation-file cannot be updated properly
 - Fixed bug 1427479: Repated overlapping event (=2 days) will not be displayed
 - Fixed bug 1340790: Return to proper view after edit or other action
 - Fixed bug 1409552: Weekly repeating event shifts days
 - Fixed bug 1424413: calling upcoming.php as include doesn't work after 02/03/06
 - Moved all common images into images folder
 - Added optional lunar phases to month.php
 - Fixed bug 1410156: Pop ups displaying incorrectly in IE6
 - Fixed bug 1427068: SMTP mail doesn't accept admin authorization settings
 - Fixed bug 1425311: saving system setting requires 2x clicks at the save-button
 - Fixed bug 1425316: Event who needs 2 days cannot be translated correctly
 - Fixed bug 1424190: SERVER_URL short if WC not top level folder
 - Fixed bug 1414017: public prefs choice gives "Redirection limit exceeded" error
 - Fixed bug 1413527: Public access not seeing unapproved events
 - Fixed bug 1403574: upcoming.php does not work with HTTP Auth
 - Implemented patch 1418938: Upcoming.php updated to run as include or command line
 - Fixed bug 1403574: upcoming.php does not work with HTTP Auth
 - Added time selections to menu bar
 - Added admin option to display All Timezones (approx 360)
 - Fixed bug 1413327: repeated events appear out of order in various pages
 - Fixed bug 1421389: user-app-: login-app opens wrong login file in _top.
 - New top menu bar added
 - Fixed bug 1422509: Search doesn't search subject, only within description
 - Fixed bug 1422507: Timezone upgrade fails with MySQL
 - Fixed bug 1409412: Popup color chooser doesn't appear in preferences
 - Fixed bug 1403568: patch for incorrect links in minical.php output
 - Fixed bug 1421829: Next month skips a month
 - Renamed php-dbi.php to dbi4php.php since the name "PHPDBI" is already
   in use on sourceforge.
 - Added 'Custom Script' tab to pref.php
 - Fixed bug 1418725: Change of User Template changes System Template instead
 - Made "My event text" color an option instead of always using green
 - Fixed bug 1418717: user-app-*.php does not show public access calendar (w soln)
 - Fixed bug 1419183: Wrong login links with user-app-joomla.php
 - Fixed bug 1420458: Percentage completion of tasks: one is set to all
 - Fixed bug 1402930: Adding repeating event yields SQL error
 - Added tabs to pref.php
 - Removed admin_handler.php and pref_handler.php
 - Fixed bug 1416212: admin_handler gives invalid admin settings name
 - Fixed bug 1416850: reject email sometimes get incorrect time
 - Fixed bug 1415709: Location is missing in report.php
 - Fixed bug 1415717: Location doesn't show in view_entry.php (sometimes)
 - Fixed bug 1415256: pop up 'invalid login' not properly displayed
 - Fixed bug 1413308: can't set sane end date on recurring events
 - Fixed bug 1413743: multi-byte's mail broken
 - New Joomla user authentication file (user-app-joomla.php)
 - Updated Timezone definitions to version 2005r to reflect change in DST
   in the US in 2007
 - Fixed bug 1411628: links to some repeating entries off by a year
 - Fixed bug 1412351: SQL error when saving repeated entry
 - Added ics atachments to external remindes, removed URL
 - Fixed bug 1407891: patch for bugs in send_reminders.php
 - Fixed bug 1411778: send_reminders.php sends a reminder every time it is run
 - Implemented magic_quote independance patch
 - Applied bug patch 1410478: patch for bugs in get_OverLap
 - Fixed bug 1410828: Save w/ Conflicts not working in v1.1
 - Fixed bug 1410487: ical export generates wrong escape sequences
 - Implemented RFE 1050527: Option for displaying participants in event pop-ups
 - Removed global table styles for activity_log.php page
 - Fixed bug 1407377: Entry of a task in the 'activity log' is not correct
 - Fixed bug 1403218: v1.1 Reminder Email not Formatted
 - Fixed bug 1357358: Columns to narrow between 'date' and '%' in small task list
 - Fixed bug 1364451: Site extras not displayed in pop-ups - v1.1.0-CVS
 - Added support for events overlspping into next day
 - Fixed bug 1314070: Some settings not required by Postgresql
 - Fixed bug 1402931: Search error (using mssql)
 - Added support for BLOBs for MSSQL DB
 - Added support for BLOBs for postgreSQL DB
 - Fixed bug 1403070: Icalclient doubles external events
 - Fixed bug 1398679: error in epeated event for 5th sunday
 - Fixed bug 1401625: ERROR message not be translated (Partial fix)
 - Fixed bug 1401426: Adding event time defaults to first work hour
 - Fixed bug 1401537: 'German Date' not properly displayed at week.php
 - Fixed bug 1400836: patch for SQL errors in current CVS
 - Fixed bug 1400400: adding a task - header cannot be translated cpl.
 - Fixed bug 1365600: 'unapproved events' are not properly explained
 - Merged task files into entry files
 - Added option to upload category icons
 = Fixed bug 1365219: Highlighted "today" changes too early - v1.1.0-CVS
 - Fixed bug 1397766: Tomorrow Report fails to This Week
 - Fixed bug 1387646: Repeated events are not shown repeatedly
 - Fixed bug 1386705: Two errors in install scripts (PostgreSQL)
 - Added option to disable small months
 - Added Previews to themes
 - Fixed bug 1375089: Repeating evens miss final day of repeat
 - Fixed bug 1379707: Repeating event ends one day early
 - Imlemented PATCH 1380867: improved ical support
 - Fixed bug  1385557: calendar inputs can cause crash
 - Added feature to email ics attachment to external participants
   This address bug 1384838 and RFE 1384842
 - Fixed bug 1385433: External Users not deleted with event
 - Changed 'Display Weekends' to affect all pages
 - Added support for themes
 - Added support for IBM DB2
 - Added support for binary objects for MySQL and SQLite.  This includes
   new support for event attachements and event comments.
   (Still need to implement for other databases.)
 - Fixed vuln in layers: published vulnerability in layers_toggle.php
   was fixed
 - Fixed bug 1370871: public access - preferences cannot be saved
 - Fixed bug 1366113: Accept/reject Missing
 - Fixed problem with dates in nonuser calendar if LANGAUGE_DEFINED
 - Fixed bug 1369715: Event for groups hangs - javascript error perhaps
 - Fixed bug 1368071: category pop-up for tasks will not work properly
 - Fixed vulnerablity: SQL injection possible in edit_template.php,
   activity_log.php, admin_handler.php, pref_handler.php, export_handler.php
 - Fixed bug 1365435: "Availability...." has no action by clicking the button (tasks)
 - Fixed bug 1368088: viewing tasks depends on their belonging selected categories
 - Fixed bug 1365541: categories for tasks will not be saved
 - Fixed bug 1365452: 'Category' - pop-up cannot be translated completely
 - Fixed bug 1363734: 'Not available' will not be translated in admin.php
   Added logic to translate OVERRIDE_PUBLIC_TEXT if default value
 - Fixed bug 1362876: "all percentages" cannot be translated
 - Implemented PATCH 1155607: Show all days in Month with config
 - Implemented PATCH 1060025: New display_month() function
 - Fixed bug 1360780: register.php does not work
 - Implemented PATCH 1294721: single file for mod date_formats
 - Implemented RFE 1315740: German date styles
 - Fixed bug 1327661: Better german date-formats
 - Fixed bug 1350243: Wrong task order in upgrading.html (convert_passwords.php error)
 - Fixed bug 1359872: Repeat daily error
 - Fixed bug 1358775: Get an error 'Cannot find language file: translations/none.txt
 - Implemented PATCH 1221971: IMAP Authentication
 - Modified upcoming.php to display tasks (see upcoming.php for details)
 - Implemented RFE 1199126: Link Language and Time/Date Formats
 - Fixed bug 1357953: rollover info translation grammar problem
 - Fixed bug 1357943: short description length mismatch
 - Fixed bug 1357946: translation problem on system settings page
 - Fixed bug 1358124: popup: short description length problem
 - Implemented RFE 1357579: Link to 'Home' in trailer menu
 - Fixed bug 1354832: import ical - first edited event multiplies
 - Fixed bug 1356024: event link in Activity log - NOT FOUND error
 - Fixed bug 1356541: ics-import will not correctly handle 'private'-entries
 - Fixed bug 1355655: Task Completed dates not stored properly
 - Fixed bug 1313905: database password can't contain '#' chars
 - Fixed bug 1353588: 4:30pm PST event bug
 - Fixed bug 1353470: Events in day view shown incorrectly - CVS
 - Corrected content type in publish.php and freebusy.php
 - Fixed bug 1353363: publish.php logic error for public user?
 - Added new translation decoding for HTML entities in javascript
 - Fixed bug 1351971: "Delete"-Button won't work properly for reports
 - Applied PATCH 1297654: eliminate deprecated tags, excluding <b></b>
 - Applied PATCH 1349875: Fix for WebCalendar.class
 - Fixed bug 1277803: new untimed events - aren't
 - Fixed bug 1346660: new entry: time check not informed correctly ->misspelling
 - Fixed bug 1352513: Repeating Events interface is broken in Safari
 - Fixed bug 1352504: fix for one type of Lost Connection to MySQL server error
 - Fixed bug 1351971: "Delete"-Button won't work properly for reports
 - Fixed bug 1282382: Del from NUC or Pub Acc deletes from all
 - Fixed bug 1220225: 'layered events' cannot be shown by the public
 - Fixed bug 1350151: New Entry: entered time check is buggy
 - Fixed bug 1350764: RSS feed showing double entries
 - Adding logic to consume TZID settings in ics files. If the TZID used the Olson
   timezone database naming conventions, we will apply that TIMEZONE to that event
 - Fixed bug 1349082: Week numbers wrong if Week Starts on Sun
 - Numerous tweaks to RRULE parsing for display of repeating events
 - Added new Repeat type 'Manual' that allows adding Inclusions/Exclusions
   without other repeat attributes.
 - Fixed bug 1348068: "Check for event conflicts" not working for latest CVS
 - Fixed bug 1346010: CVS version: Not possible to add/edit events
 - Fixed bug 1120897: Conflict with exceptions
 - Fixed bug 1347097: Latest CVS install wizard recreates default admin
 - Fixed bug 1347166: javascript errors in 'Add Task'
 - Implemented PATCH 1345138: Several bug fixes
 - Implemented PATCH 1344304: Use default tzone in send_reminders for users w/out pref
 - Fixed bug 1345106: Error in send_reminders.php
 - Implemented RFE 1337513: Add disable option to Location in 'edit_entry.php'
 - Implemented RFE 802644: Allow to add a comment for reject/accept event
 - Implemented RFE 1082995: Reject Event Email Message
 - Implemented RFE 1030872: Notifications reflect user's setting for 12/24-hour time
 - Implemented RFE 1170434: Disable popups
 - Fixed bug 1342070:  V1.1 - Month view, access.php.
 - Fixed bug 1306964: Events cannot be added for hour 0
 - Fixed bug 1306195: HML tags on "printer friendly"
 - Fixed bug 1339312: Event approval for Non User Calendar
 - Fixed bug 1343862: "ByMonth" using at a "repeating event" wrong displaying
 - Fixed bug 1342056:  V1.1 � Button for testing the db con is not easy to find.
 - Numerous translation BUG fixes
 - Added logic to redirect to login from email links if needed
 - Fixed bug 1340800: "Action entry" for task in activitylog is wrong
 - Fixed bug 1337535: 'Server Timezone Selection' could not properly saved
 - Added support for SMTP mail using PHPMailer
 - Fixed problem with participants not being populated when editing an event
 - Fixed bug 1339201: Reminders set to yes results in error if editing appointment
 - Added admin defined DELFAULT CONFIGURATION for user access control
 - Fixed bug 1337535: 'Server Timezone Selection' could not properly saved
 - Fixed bug 1337570: offset on entries from November to April
 - Fixed default UAC settings. User's cal_admin value is now used vs $is_admin
 - Fixed bug 1335631: Admin-Link on bottom of page shows with access control on
 - Changed the way cookies are encrypted. This should fix login looping problems
 - Added ability to disable RSS link inclusion in print_header(). Useful for popups
 - Fixed bug 1275705: Typos in language files
 - Fixed bug 1278023: Carriage returns break I-cal files in v1.1.0-CVS
 - Fixed bug 1324505: Last hour of day (23:00 - 00:00) missing!
 - Fixed bug 1334863: Week number in week dropdown does not show
 - Implemented a new repeating event system that incorporates most requirements
   of RFC2445. All the ByXXX values are now supported except ByHour, ByMinute and
   BySecond. Multiple Categories, multiple Alarms and RDATE are now supported,
   along with the abiity to export VTIMEZONE elements if desired.
 - Implemented VTODO support with floating display of due date per RFC2445
 - Added sending of HTML mail (for reminders only now)
 - Added new time range options for reports: next 14/30/60/90/180/365 days
   This allows reports to show events starting with current date
 - Fixed bug 1324156: reminders have GMT time
 - Fixed bug 1324282: Import iCal US Holidays, wrong dates...
 - Added a simple stylesheet to upcoming.php
 - Patch 1306191: Allow users to import from Outlook 2003/XP CSV file
 - Patch 1307029: Various mispellings in app and documentation
 - Fixed bug 1283449: Participants able to edit entries they do not own
 - Fixed bug 1249018: orphaned rows after deleting a user
 - Fixed bug 1298551: Error in comment in upcoming.php
 - Fixed bug 1288923: Fix for bar width in print_entry_timebar
 - Patch 1302296: Updated Japanese translations and changes to charset
   settings for the updates.
 - Fixed bug: edit_entry.php use of DEFAULT date was not being invoked
   when no date is passed in
 - Fixed bug: Call to member function on a non-object intermittent error
   when layers are in use (result from my_array_splice)
 - Fixed bug 1296294: Javascript error when saving with empty description on IE
 - Applied patch 1290583: No more crash in tz_import.php on install and fixed
   quoted int values in sql
 - Patch 1275638: minor typos in date formats
 - Patch 1275857: Added missing Romanian and Welsh from array in translate.php
 - Fixed bug 1276005: Events ending at midnight do not display properly
 - Fixed bug 1276729: v1.1 cal_mod_date/time not stored in GMT
 - Fixed bug 1276782: icalclient defaults to __public__ permissions
 - Fixed bug 1246913: cal_status incorrect when publish from iCal
 - Fixed bug 1276709: week_details.php broke in revision 1.31 and up
 - Implemented RFE 1209445: single-day untimed events appear before multi-day
 - Fixed bug 1265900: exportation to iCal. Newlines should not be escaped per RFC2445
 - Fixed bug 1265575: Bug in get_all_dates()
 - Fixed bug 1275972: First day of daily repeat missing
 - Added minical.php for using in iframe in external site
 - Fixed bug 1272390: publish.php broken in v1.1-CVS
 - Fixed bug 1259997: repeating events don't send reminder on last day
 - Applied patch 1204988: view_v.php : vertical week, bg correction for today
 - Added patch 1257167: Delete should select the user by default
 - Fixed bug 1259413: Check for event conflicts not working in latest CVS
 - Fixed bug 1262236: Conflict checking broken in new TZ code
 - Fixed bug 1261920: Email all participants link did not include
   external users
 - Fixed bug 1261571: Overriding a conflict when name has double quotes
 - Fixed bug 1214768: assistants can't see calendar if allow_view_other is N
 - Fixed bug 1205806: send_reminders.php did not check some settings properly
 - Fixed bug 1257544: Changing event end date
 = Fixed bug 1256250: reject_entry.php error
 - Fixed bug 1254880: the fill in of languages in system settings wrong
 - Fixed bug 1214060: activity log not working properly with user access control
 - Fixed bug 1246969: Clicking on Add New Entry was defaulting to
   current date rather than what was passed in via URL
 - Fixed bugs 1214060, 1214046: activity log not working properly with
   user access control
 - Added patch 1237485: FCKEditor for editing HTML event descriptions
 - Fixed bug: view_entry.php was displaying '&amp' instead of '&amp;'
 - Fixed bug 1254983: nulogin.php throws language errors
 - Added install/index and classes/*.class files to update_translation.pl files list
 - Moved translation related functions to translate.php
 - Added 'Timezone Notice' if Assistant and Boss are in defferent timezones
 - Fixed bug 1249012: can't change timed to untimed events
 - Fixed bug 1233798: Catagory settings don't work quite right for Boss/Assistant
 - Fixed security: exploit allows execution of code downloaded from
   remote server
 - Fixed bug 1250870: repeatly entries for NUCs cannot be deleted correctly
 - Rename Event and RptEvent methods to conform to naming guidelines
 - Updated installer & added installer images
 - Updated views to tabbed GUI
 - Adjust sending time in send_reminder.php to Server Time vs GMT
 - Fixed bug 1204920: DEFAULT language is not set correctly to new users
 - Added end time calculation functions to Event.class
 - Fixed bug 1245228: Error in db_load_admin() cannot open table
 - Fixed bug 1245112: Entry will not be displayed properly for public access
 - Fixed bug 1238066: Site Extras in popup problem v1.1.0-CVS
 - Added circle.gif in week view to untimed or all day events
 - Fixed bug 1244652: nonuser admins can't set prefs & assistants
 - Fixed bug  1242309: New created user cannot be deleted
 - Fixed bug  1232617: Views cannot be deleted
 - Fixed bug 1242843: prefered view will not be properly displayed after Log in
 - Implemented RFE 1095248: Error check weekly repeating events
 - Fixed small bug if using 59 minutes for event time.
 - FIxed bug 1225818: Invalid login adds entry to webcal_user_pref
 - Implemented PATCH [ 587965 ] Entry &quot;use end date&quot; auto-selection
 - Added self-registration based on PATCH [1067168] User self registration
 - Modified trailer.php to prevent invalid dates (<1970 && > 2037) from
   being created in the pulldowm menus.
 - Added 'Load Timezone Data' button to admin.php
 - Fixed bug 1220248: Get an Error using the 'Availability'
 - Fixed bug  1220256: Get Error using the 'Select' button for assistents
 - Added support for multiple public calendars by enabling nonuser calendars
   to act as public calendar.
 - Added ability to use custom header/stylesheet/trailer on a per-user
   basis via user preferences.
 - Added ability to change text Public Access in system settings.
 - Added full timezone support including accurate DST calculations
 - Added Auto-install functionality including upgrading from previous
      versions
 - Fixed bug 1233739: Palm Datebook Import - conflicting events
 - Fixed bug 1231076: Send_reminder.php Errors
 - Fixed bug 1228129: WebCalendar ignores Language setting
 - Updated phpDoc documentation
 - Added our first unit test (add_duration_test.php)
 - Moved initialization code into new WebCalendar class. Removed
   includes/connect.php because all its code is in
   includes/classes/WebCalendar.class now. Only files that still have
   initialization code are includes/user*.php
 - Fixed bug 1221727: error in documentation for using iframe with upcoming.php
 - Added new naming conventions to Developer's Guide, fixed spelling mistakes,
   XHTML validation, and formatting consistency
 - Patch 1220042: Make arguments to assert() strings so we get error messages
 - Patch 1208257: use event object for parameters
 - Palm Desktop datebook import works for versions 4.1.1 and newer
 - Fixed bug 1219427: icalclient fails to publish alarms
 - Fixed bug 1218113: iCal ATTENDEE error if event is deleted
 - Fixed bug: category was lost wan clicking on prev/next month in month.php
 - Fixed bug 1211406: User Access Control enabled: has been displayed in 2 tabs
 - Fixed bug 1212672: Install script - javascript errors
 - Fixed bug 1212667: Install script - Database Type Problem
 - Added logic to only spermit etting persistent connections if allowed and not CGI
 - Added ability to delete user info from webcal tables for ldap and postnuke auth
 - Fixed bug 1209649: Undefined variable in html_for_event_day_at_a_glance
 - Patch 1021410: Unobtrusive JS for event popups
 - Fixed bug 1205151: use of undefined variable in edit_entry.php
 - Fixed bug 1205680: upcoming.php was including unapproved.  will now use
   user preferences for displaying unapproved.
 - Patch 810460: fix length of salt in call to crypt for NIS authentication
 - Added new view (view_r.php) that will display similar to day.php and week.php
   do now except for multiple users.
 - Patch 1090615: read/write remote ical subscription (icalclient.php)
 - Don't allow LDAP or NIS as option in install/index.php if modules are
   not available.
 - Patch 1206167: use define for constant variables
 - Patch 1206560: allow site extras in reports
 - Added Development/Production environment setting on install page.
   This will toggle assertion stacktraces and SQL errors being displayed
   on the web browser.
 - Patch 1175032: advanced user access control
 - Patch 1205023: fixed missing translation in import.php
 - Patch 1156386: improved placement and sizing of event popups
 - Patch 1111582: Add iCal FreeBusy support
 - Patch 1163497: Add RSS feed
 - Patch 1171807: reminder sent late if cron run at exact second of reminder
 - Updated Portuguese translation
 - Updated Hungarian translation
 - Updated Czech translation
 - Updated Portuguese_BR translation
 - Updated Danish translation
 - Updated Polish translation
 - Updated German translation
 - Updated French translation
 - Updated Norwegian translation
 - Updated French translation
 - Added Greek translation

Version 1.0.0 (17 May 2005) aka Buster
 - Fixed bug 1202127: [ 1187734 ] Timezone offset problems still exist.
 - Fixed bug 1201821: Bypass user_sees_only_his_groups
 - Undo bug fix 1120897: Conflict with exceptions. This patch caused conflicts
   on other days which turns out to be a more severe problem.
 - Fixed bug 1193835: Creator cannot edit a nonuser-event after Admin changes it.
 - Fixed bug 1193579: Untimed shows up wrong in edit page
 - Fixed several undefined variable messages with Repeat events in
   import_palmdesktop.php. Limited delete_palm_events() to only palm type imports
 - Fixed undefined variable notice in import_handler.php
 - Fixed bug 1189515: Possible to create blank usernames
 - Fixed bug 1190687: users.php called as public
 - Fixed bug 1190699: export.php available to public
 - Fixed bug 1190704: public can access assistant_edit.php
 - Fixed bug 1103215: Invalid work hours
 - Split import/export back to two separate links & pages
 - Moved contents of scheduling tab to details tab
 - Fixed bug 1187734: Timezone offset problem
 - Fixed bug 1120897: Conflict with exceptions
 - Moved function add_duration() to functions.php
 - Fixed problem with ical import weekly BYDAY parsing in import_ical.php
 - Fixed bug 1181682: Report with no name entered -> phantom report!
 - Fixed bug 1179423: private events displayed on reports
 - Fixed bug 1183714: Translation error
 - Fixed bug 1154432: vCal import from Mozilla fails to translate quoted-printable
 - Don't import events if they have in invalid start time (Fixed bug 1176164)
 - When viewing a report, if allow_html_description is enabled but no HTML
   is found in an event description, use nl2br to preserve plain text
   formatting.
 - Fixed bug 1181682: Reports with just spaces for a name cannot be edited.
 - Fixed bug 1179403: Availability selection fails when Time Format =24
 - Added sql to set webcal_config STARTVIEW DEFAULT to week.php for
   upgrade from v1.0RC2 to v1.0RC3.
 - Fixed problem with missing $cat_id in week and day URLs in month.php
 - Fixed bug 1065461: timezone offset & all-day events
 - Fixed bug 1107253: time zone offset
 - Fixed bug 1140453: Time zone offset in email notifications
 - Fixed problem with second edit of a single event in a repeating series
   losing linkage with the original event.
 - Updated install/index.php. Added link to phpinfo if valid user.
   Added security to dbtest, now requires log in to test db settings.
 - Fixed bug 1148602: External Recipients with same name fails
 - Updated install/index.php to use \r\n instead of \n.  Added area
   that displays relavant PHP settings.
 - Fixed problem with views_edit.php, select groups not returning menbers
 - Fixed bug 1160167: 12AM Events cause display problems in edit_entry.php
 - Fixed bug 1158769: Category lost when modifing event by Admin
 - Fixed rendering problem in day.php with Safari
 - Fixed bug 1168686: Month display collides with minicals on Safari
 - Fixed $charset problem in xml definition in login.php
 - Fixed bug 1168682:  RC3 Language Detection Broken for Safari
 - Fixed bug 1169403:  Public Access not DEFAULT selected if
   Particiapants not shown.
 - Fixed bug 1169078: Bad function call in import_handler.php
 - Fixed bug 1168092: Overlapping events display problem
 - Fixed bug 1167281: View_l loses colour for today
 - Added new DEFAULT webcal_config values to all sql table definition files
 - Fixed bug 1167790: class=selectedday assignments in other than day.php
 - Changed edit_entry_handler to remove requirement for Admins to approve
   Public events that they create.
 - Applied bug fix 1151442: Overlapping events display error in week.php
 - Removed most instances of htnlentities as unneeded
 - Fixed bug 1162486: Path exposure issue with view_entry.php
 - Fixed problem, if non-user calendars are diabled, the most recent change
   to add Public Access to the 'Manage Calendar of:' list throws a Warning.
 - Added option to set LDAP_OPT_PROTOCOL_VERSION in user-ldap.php
 - Updated Danish translation
 - Updated Finnish translation
 - Updated Polish translation

Version 1.0RC3 (11 Mar 2005)
 - Added 'Public Access' to Manage Calendar of: list, if Admin.
 - Removed ODBC host:database option from php-dbi.php. If needed, host can be
   added to DSN in settings.php.
 - Changed charset in Czech.txt from utf8 to UTF-8
 - Fixed problem with upcoming.php header. xml:lang and lang were set to full
   LANGUAGE value, not abbreviation.
 - login.php: Added xml encoding back in, it's now dynamic like other pages.
 - upcoming.php: Fixed problem with You are not Authorized error message
   being sent without a header.
 - Patch 1158090: convert comments for use with phpDocumentor
 - Updated German translation
 - Fixed bug 1156729:Global-view with no valid user creates a non-translatable message
 - Fixed problem with popups.php with long text strings going off screen.
   Maximum width is now configurable.
 - Fixed issue with Application Name containing ? characters in logon.php.
   If Application Name = Title then translate, else use Admin defined
   name and run through htmlspecialchars. Also removed forms[0] references
 - Fixed bug 1152863: Japanese strings munged by reports.php and upcoming.php
 - Fixed bug 1124461: Apostrophe in Text Aborts Translation
 - Fixed bug 1154854: Nonuser cals not showing up in views
 - Fixed issues with display_small_month URLs. Extra & if no $user specified.
 - Fixed bug 1154007: Highlight today in Year view
 - Fixed bug 1088772: Nonuser calendar w/ Public as DEFAULT participant,
   _public_ not selected
 - Fixed bug 1145390: Merge arrays with array_merge vs + in view_t.php
 - Fixed bug 1112787: missing charset in upcoming.php
 - Patch 1086250: add meta tag for charset since MSIE requires it.
 - Fixed broken advanced search that would not allowing searching other
   users' calendars.  Also added searching non-user calendars.
 - Removed remember_this_view and get_last_view functions.  Instead, send
   users to their preferred view from their preferences ($STARTVIEW).
   Modified preferences to allow user-created views to be saved as their
   preferred page.
 - Replaced popups.php code with new knoppix based code. This should eliminate
   the problems with popups going off screen. Popups also follow the cursor now,
   but can be disabled in the file.
 - Fixed printer friendly view problem. With refresh on, the refresh URL
   reverted to the regular page.
 - Fixed bug 1151442: Overlapping events display error in day.php
 - Fixed bug  1146037: Availibility legend size not dynamic and not centered in IE.
 - Added global views (available to all users)
 - Added option to select all users for a view (rather than having
   to select all users in the list).  If users are added later, they
   will be automatically included in the view.
 - Replaced all instances of forms[0] in javascript with the real form names.
   This will allow WebCalendar to co-exist with other forms on the same page.
 - Added javascript that enables visibility of the start/end time or duration
   on the edit_entry page from availability.php.
 - Fixed bug 1148603: Assistants can't view Bosses Unapproved Events
 - Fixed bug 1145342: Category selected when adding event is not transferred
   to edit_entry page.
 - Revisited Bug 986774: Editing Category for and event as Assistant. This fix
   induced another bug. When viewing 'Another User's Calendar', and not
   assistant, and adding event, the category control is populated with the other
   user's categories.
 - Fixed date_selection_html function to include values for
   patch 900968: Add outlook-style availability popup
 - Added patch 900968: Add outlook-style availability popup
 - Fixed VCS export function, PRODID was not defined
 - Fixed bug 1123508: RC3 browser language detection always returns none.
 - Fixed issues with ODBC returning 'invalid db_type'
 - Fixed Bug 1120165: Disabled Repeat Field causes SAVE button and
   trailer to vanish.
 - Fixed issue where month.php and mini-calendar today highlight based
   on server time.
 - Added patch 1109344: Enabling WebCalendar connections to a
   startTLS LDAP server
 - Fixed Bug 1118121: get_admins in user-ldap has bad search
 - Fixed Selectdate popups to work with new getGetvalue function and
   make popup follow cursor.
 - Purge events was not deleting from webcal_entry_ext_user table
 - Fixed Bug 1120323: end_date issue and missing delete for webcal_entry_ext_user
 - Updated Dutch translation
 - Updated Spanish translation
 - Updated all 3 Japanese translations

Version 1.0RC2 (09 Feb 2005)
 - Fixed PHP warnings about undefined variable $enventinfo if empty.
 - Fixed issue where month.php and mini-calendar today highlight based on
 server time not user's. This now works just like week.php.
 - Added back usage of different color/class for time slots with events
 in them in day.php and week.php using new 'hasevents' class in
 styles.php. For now, we use the TODAYBGCELL color for the
 cell color, but this may be configurable in the future.
 - Fixed PHP warnings about undefined variable PHP_SELF in all the
 include files.
 - Rewrote reading of config.php to manually split lines rather than
 relying on fgets() which does not seem to be reliable.
 Also try opening includes/settings.php if settings.php fails.
 - XHTML fix for day.php mini-cal. Missing <tr>
 - Fixed bug 1116008: Got invalid user error when clicking on '+' icon
 to add new event
 - Updated Czech translation

Version 1.0RC1 (04 Feb 2005)
 - Fixed Bug 1088857: sql statement was using != vs <> and failing
 with db2 7.1/odbc affected file view_entry.php
 - Declare $HTTP_POST_VARS and $HTTP_GET_VARS as global in getPostValue
 and getGetValue (functions.php) since they are not auto-global.
 - Recommitted recent files in UNIX format vs DOS. My bad RJ
 - Fixed Bug 986774:Editing Category for and event as Assistant
 - Updated several files to replace <?php with < ?php
which causes problems on Windows - Fixed Bug 931096: Restrict views and view edits to owner of that view .
Added some error notices to database calls
affected files view_v . php, view_d . php, view_w . php, view_t . php,
view_m . php, views_edit . php - Fixed Bug 1101823: Problem importing palm desktop datebook . dat file - Security fix: Fixed protential problem if a user attempts to login
with a username that has charaters that will affect the database . - Second pass at Bug Fix 1109141: Added empty and none testing of
language pref - Changed encode / decode functions used in generating session cookies
to use md5 of install_password rather than various server variables .
( Hoping this may help with IE login problems . . . ) - Fixed Bug 1109141: Notification language is the senders, not the recipients
  affected files edit_entry . php, del_entry . php, reject_entry . php - Fixed Bug 1109323: Error in LDAP get_admins function - Patch 1113315: Change maxsize of username from 20 to 25 in
  admin add user form ( db was already 25 ) - Patch 1113319: fixed finding of username for http authentication
  ( Different versions of PHP store it in different variables . ) - Fixed bug 1061746: layout issues with view_d . php - If php . ini setting for file_uploads is not enabled, then indicate
  this on the import page ( import . php ) . - Streamlined layers . php &made layers only be displayed when layers
    are enabled - Updated Admin docs for content &xhtml / css validity - Adding Styling docs ( still under construction . . feel free to contribute ) - Adding title attribute to links - Cleaning up html for editing layers &streamlining GUI - Making code easier to read &fixing '&' to read '&amp;' in url - Updated reading of settings . php in config . php to strip off white
    space . Added new function, dieMiserableDeath(), that can be called
    before functions . php is loaded . We will typlically use this function
    when there is a fatal error in reading settings . php or a db connect
    problem . ( It will show a link to the Troubleshooting section of the
      SysAdmin Guide, which will hopefully cut down on some of the help / support
      requests . ) - Fixed bug: we were opening two db connections ( one in validate . php and
      then another in connect . php ) for web - based user authentication . ( Oops ) - Added database sanity check ( can we access webcal_config table ) that
    was being skipped for web - based user authentication . - Updated DEFAULT color scheme ( modified values in tables - * . sql ) .
      ( Will only apply to new installs . ) - Fixed bug: vCal import was completely broken ( looking for type 'VCAL' when
        for was using 'vcal' ) - Added patch 1098507: Fixed problem using htmlarea where event description
      would not be saved . - Added variable in includes / php - dbi . php ( $phpdbiVerbose ) . DEFAULT is false .
        When set to true, the SQL statement will be displayed in the browser
        when there is a database query error . - Added patch 1102478: Add mssql support to php - dbi . php - Fix bug: Import and Export in import . php were not being translated . - Fix bug: view_entry . php would not display links to edit / delete under
        some circumstances . - Updated upgrading docs so they're xhtml valid
 - Updated admin & user docs to reflect new content, correct minor typos, and
 minor clarification of phrasing/language.
 - Making edit_entry.php valid xhtml & slightly easier to read
 - Fixed bug 1102167: custom header when non-admin user
 - When html is allowed in event description, still replace newline with
 html break in view page and event popup if the user did not use any html.
 - Update do_redirect to use meta-refresh work-around for WN web server.
 - Pointing 'account' option for non-admin users to edit_users.php &
 making indentation of css & php code easier to read by using tabs
 - Making the trailer not be displayed in edit_user.php (since it's always
        in an iframe now ) - Fixing users . php so it only shows a single user's info when the user
 isn't an admin - Fixing export . php JS so '&amp;' only reads '&' - Added 'unapproved' class &removed gradient code from styles . php for
      empty cells so they blend in with the background of the page - Added 'unapproved' class for customizing listing of unapproved events in
      list_unapproved . php - Fixing strange nested form tags &adding labels for form fields in
      import . php - Fixed Bug 824268: emails sent by edit_entry_handler . php in wrong time zone - Fixed Bug 1066440: End Time increased by timezone offset - Fixed Bug 1085337: Categories combo - box in month . php in assistant mode - Modified validate . php and trailer . php to look for new $user_inc
      user - app - * . php files to allow webcalendar to work with other
      applications' authentication and user tables.
 - Added user-app-postnuke.php which allows webcalendar to use postnuke's
      authentication and user tables . - Fixed Bug 1087604: Vanishing Layers / cookies - Fixed Bug 1086357: repeating details display - Fixed Bug 1085846: SQL error in get_my_users() function - Fixed Bug 1085971: repeat tab does not display details - Fixed Bug 1074403: Day View is not accounting for server offset - Added support for automatic gradient background images for table cells . - Updated Japanese translation with support for 3 character sets
      now ( Japanese - utf8, Japanese, Japanese - eucjp ) - Added Romanian translation - Updated French translation - Updated German translation - Updated Italian translation - Updated Norwegian translation
      Version 0.9.45 ( 12 Dec 2004 ) - Cleaned up user - ldap . php: added connect_and_bind function, config
      section cleanup, check all searches for attr array, etc . - Made search js load even when groups aren't enabled.
 - Fixed permissions so read-only cannot add/edit/delete anything
 - Added patch 1081875: added parseInt calls in js/popups.js
 - Added patch 1082460: better layout for timebar views
 - Fixed Bug 1022224: Stranded Branch in Code
 - Fixed bug 1080911: Copy entry doesn't work for assistant - Fixed security issue with assistants and nonuser admins - Fixed bug 1071725: do not use printer - friendly URLs for the
      My Calendar link - Disable all layer functionality if system settings do not allow
      viewing another user's calendar (since this would be a security
 problem.)
 - When admin is editing an approved public event, do not require the
 event to be approved again.
 - Added support for category icons. No Admin UI yet. Icons should
 be in icons subdirectory named by the category id, such as
 icons/cat-1.gif, etc. If the category gif file is found, it
 will be used.
 - Added patch 1076313: Added support for HTMLAREA (see www.htmlarea.com)
 HTMLAREA is a WYSIWYG editor for HTML.
 This can be enabled in the Full Description by enabling
 HTML for full descrpitions in system settings and then installing
 the HTMLAREA files on the server. There should be a file
 called .../includes/htmlarea/htmlarea.php when you have unzipped
 the files.
 (Thanks, Ray for this patch!)
 - Added printer friendly link in view event page
 - Updated admin docs to reflect updated info in readme.html & removed
 duplicate info from readme.html
 - Standardized styling for all documentation
 - Put developers notes within php tags for javascript files (less data sent
 to browser)
 - Added title attributes to links
 - Adding labels for form fields
 - Fixed bug 1071619: today border in view_t.php
 - Applied patch 1068220: implementing styles.php in week.php
 - Adjusting iframe height & adding title for editing/adding non-users
 - Enhanced iframe to parent frame refresh behavior for form submittal in new tabbed gui
 - Implemented main class in all veiws to hopefully resolve custom header issue
 - Added styles for login.php
 - Moved common tabs js to includes/js/visible.php instead of repeating it
 for each page with tabs
 - Removed links in trailer for assistants, and managing views & reports
 - Modified setting of db parameters. They are now stored in a data
 file includes/settings.php.
 When someone tries to access WebCalendar for the first time and this
 file is not found, the user is redirected to a new dbinstall page
 (install/index.php) where the user can set db host/user/password.
 - Added check for webcalendar db tables right after initial db connection.
 Give user an error if tables not found.
 - Modified user-*.php to tell user either no such user or
 incorrect password. This should help sysadmins trying to setup
 WebCalendar figure out why a login is not working.
 Admins will need to enable $showLoginFailureReason in login.php to
 turn this feature on. For security reason, the DEFAULT will be
 to always say Invalid login.
 - Fixed bug 1061702: site extras (reminder info) not showing up
 properly in event popups
 - Reorganizing styles.php to be more logical
 - Adding new help & ' + ' images
 - A few minor style changes to remedy problems with views
 - Applying patch 1061811: leading &amp; in minicals week url
 - Applying patch 1062782: view_t styles moving to styles.php
 - Fixing bug 1062275: border thickness in various views
 - Fixing bug 1060781: reenabling print-media stylesheet
 - Refixing bug 1062276: editing single date of a repeating event
 - Fixed bug 1063720: advanced search translation
 - Making search page dynamic on the client-side for admins
 - Combining & converting import/export pages to new tabbed GUI
 - Edited import/export link in trailer
 - Fixed bug 1009183: exporting event from another user's calendar or
      from a layer generated an empty ics file . Added Include all layers
      option on main export page also . Include WebCalendar version number
      in ics file . - Removing blank lines from the end of files - Temporarily disabling the print - media stylesheet - Fixing a TON of bugs in almost all of the views NOTE: view_m, day, and
      week . php are in need of a major php code overhaul to fix some of the
      remaining bugs - Fixed bug 1060764: forgot to add translation stuff to public access in
      trailer - Fixing bug 1060784: category id in functions . php because it caused a conflict with category . php - Added a favicon . ico and supporting code - Adding new edit_entry &admin . php code ( tabbed GUI ) - Made view_entry reminders statement use singular / plural days, hours &minutes as needed - Added title attributes in activity_log . php - Cleaning up HTML &CSS - Adding additional save button in pref . php to mirror admin . php - Extending admin . php to pref . php - Modifying class 'navlinks' to now read just 'nav' - Adding patch 1059984: alternating row colors for activity_log . php - Removing obsolete styles from styles . php - Adding title attributes to various links - Moving &making login / logout link to be inline with current user in
        trailer &dynamic depending on if user is logged in or not - Updating upgrading docs with easier to read code areas - Added patch 1059130: minical function implementation - Added patch 1016648: datesel . php when global vars = off - Added patch 1045008: Weekly ( Users vertical ) view colors - Cleaning up styles . php - Bringing views up to date - Applying print - media patch . Credit to Adam Roben . - Fixed bug causing today link not to work when not logged in - Fixed Bug 1057889: Public events duplicated in month view ( view_t . php ) - Fixed Bug 1057887: Month view ( view_t . php ) doubles last sunday in October ( DST ) - Fixed Bug 983139: fix date in notice for single deleted item from repeating - Fixed Bug 1019285: Unable to edit a single date of a repeating event - Fixed Bug 1056621: Edit entry for this date won't work for repeating events
 - Added Patch 1024543: Fix editing of single instance of repeating event
 - Updated trailer with title attribute for links
 - Added title attributes to time cells in view_d.php
 - Created styles for view_d.php
 - Fixed random border-rendering issues in week.php
 - Fixed Bug 1016135: Time is listed in email for untimed events
 - Fixed Bug 1026762: import handler --circular code
 - Fixed Bug 1020450: upcomming rev1.3 doesn't display layers - Added user - ldap patch by David Black to use $ldap_user_attr throughout script - Only allow word characters ( a - zA - Z_0-9 ) in nonuser calendar ID's
 - Fixing up styles in views
 - Fixed bug 1048157: user select in managing views
 - Fixing login.php so it's both xHTML 1.0T valid, and properly handles
          translations - Fixed Bug 1050786: Mail fails if not \r\n in extra headers - Fixed Bug 1052000: Error in Day view for several users - Fixed Bug 1050624: upcoming . php doesn't work when requiring public access
 - Applying patch #1055122: making custom colors update on change
 - Fixed bug 1044374: random issues with Bulgarian translation file
 - Implemented minicalendar function
 - Consolidated styles
 - Added 'Back' links on pages like groups_edit.php
 - Fixed some php for styling headers & cells in selected views
 - Added border to colors admin section
 - Added img.help class for help images
 - Added docs to styles.php (will eventually end up in a styles
 documentation, of some sort)
 - Continued making code easier to read post-rendering
 - Removing blank lines at the end of js files
 - Updating functions.php to partially implement new styling system for
 viewt.php
 - Updating styles.php with more comments (encapsulated in php tags so
 they're stripped in processing ) &removing old classes - Removing blanks lines at the end of js . php &site_extras . php - Updating admin docs with more efficient CSS &HTML - Converting year . php to new style system &adding comments for new minicals - Converting viewt . php over to new style system &fixing a couple odd
          rendering issues - Converting day . php over to new style system ( particularly the header ) - Making code in activity log easier to read both before &after rendering - Disallow includes from being called directly - Fixed several security issues reported by Joxean Koret - Added Admin links to return user to adminhome . php from admin pages - Improved iCal import handling of folded lines ( data that spreads
            over more than one line of text ) - Reapplied patch 1044285: today &weekend classes got reversed - Changed '>' character to be '&raquo;' - Added 'bullet' class for event bullets being styled in styles . php - Changed background color for date links to a border - Moved help button to new icon in - line with the header - Added unique id to body tag for new style system - Fixed funky rendering of new trailer in Opera &Safari - Added . printer class to format printer - friendly link - Converted headers for most pages to use divs &new styling rather than
          tables - Added line breaks to code for easier reading post - rendering - Reorganized CSS in styles . php &eliminated duplicate code - Cleaned up &updated code for week . php, month . php, and most of the views to
          use new styling system - Added title attributes to links - Recommitted corrupted images so Windows users could use CVS - Patch 1040376: Added code to style cells for today &for the day being viewed - Patch 1019183: Removed tables from trailer &added necessary styles - Patch 1041179: Added code for today, weekends &days that have events to year . php - Patch 1044285: Cell for today doesn't get colored on weekends (month.php)
 - Fixed Bug 1030575: extra tag
 - Fixed Bug 1016668: Changing table cell background for current day modifies events background too
 - Fixed Bug 1031253: Can't add events for non - standard usernames - Fixed issue: Cell for today doesn't get colored on weekends (ref patch 1044285)
 - Fixed Bug 1025547: Exporting data - change vcal to ical
 - Patch 1021530: Fixed purge with all selected
 - SQL Query enhancement for function read_repeated_events to speed up processing
 - Fixed Bug 1017097: Can't Delete / Edit First Layer - Fixed Bug 1007496: Repeat Type off - by - one in Event Details - Fixed bug: iCal import would fail if the file included section with
          timezone info in it . - Patch 1002156: improved html for event popups - Added javascript to admin page to remove options that are not relavant
          ( such as all the options for public access when public access is disabled ) - Added login icon to login page - Added system setting for making public access selected as a participant
            by DEFAULT for new events . - Added patch 1006000: added time monthbar view - Fixed bug 1004162: user color preferences remain active after the
              admin turns allow user color customizations off . - Updated week / day / month view to not include target in meta - refresh
              since it will not xhtml validate . - Fixed bug: iCal for multiday events was adding extra day at end - Updated German translation
              Verion 0.9.44 ( 02 Aug 2004 ) - Fixed bug 1001054: deleting user was not deleting from webcal_asst table - Fixed bug 989443: http login does not work with http on newer PHP version - Added patch 1001078: xhtml error in week . php - Added patch 1000911: no CR in site_extras field when displayed - Added patch 1000220: removed font tag from trailer . php - Fixed bug in repeating event conflict checking when using month by day - Added upcoming . php page that can be used as an iframe in non - WebCalendar
              pages to present a list of upcoming events . - Fixed bug 960897: Could not modify user's email address if no last
 name was set
 - Fixed bug 980215: GLobal var $STARTVIEW was not declared global.
 - Fixed bug: do_redirect() calls should not have the '&' escaped into '&amp;'
 - Added patch 984544: fix ics url for public access calendar in preferences
 - Added Today link in trailer
 - Fixed bug 826651: Modified report of public cal. will stored under admin-user
 - Added Copy event option when viewing an event. This fills in the
 edit_entry.php form with details from the event you want to copy.
 - Fixed some of the undefined variable errors that you get when
 global variables is turned off in php.ini.
 - Fixed bug: If user creates a report that does not include themself,
 the user will be unable to edit/delete the report.
 - Added patch 975787: allow automatic inclusion of public access events
 - Added patch 980287: added mysqli support to php-dbi.php
 - Fixed bug 966948: single quotes not working in passwords if magic
 quotes is on.
 - Fixed bug 950185: remove spaces between multiple addresses in mailto URL
 for view entry page
 - Fixed bug 960793: purge (Delete events) only worked with MySQL.
 - Fixed bug 949287: Finnish was missing from config.php.
 - Patch 972689: use preferences for example month date format in pref.php
 - Patch 975785: admin.php was not showing language setting properly
 - Patch 975554: event end time as an option (rather than just duration)
 - Patch 972695: in edit_entry.php, use preferences to determine
 if repeat info starts on sun/mon
 - Patch 972602: Missing translation in pref.php for language
 - Patch 972687: Fixed untranslated text in purge.php
 - Added patch 972688: attempt to translate language names (English)
 into other languages. Updated config.php to have comments for
 perl language tools (update_translation.pl).
 - Changed popup color palette to web safe colors
 - Fixed bug 885181: If a user adds an event to a nonuser calendar,
 the admin of that nonuser admin calendar must be able to approve
 the event (if approvals are required).
 - Allow admin users to import events into other user's calendars . - Patch 931248: Mishandled single quotes in event name / description when
            overriding a conflict . - Fixed bug 929977: site_extras not showing up in event popups when enabled - Updated purge . php to not use '<?' and always use '<?php' instead . - Added support for repeating events in iCal import - Fixed bug 923129: Used unnamed view for views without a name
            so user can edit / delete the view . - Updated README . html to not assume user has downloaded user manual .
            Instead link to the download area on SourceForge . - Fixed bug 903285: PHP balise problem < ? ?>
 (fixed for view_d.php, didn't check all files)
 - Fixed bug 850719: repeating whole day event has only on the
 - Improved sizing of event popups on MSIE/Mozilla
 - Fixed export URL so users should now be prompted to save with
 correct filename.
 - Added delete link on list of unapproved events, making it easier to
 delete bogus events.
 - For external users, use email address as fullname if only an email address
 was given.
 - Fixed bug 81255: when site extras are displayed in popups, reminders
 were not handled properly. (Yes and No were printed in the wrong place).
 - Fixed bug 872036: Allow '-' in username
 - Fixed bug 892081: Don't allow users to use work hours with end hour
 before start hour (in admin and pref).
 - Fixed bug 858560: Allow adding events more than four years in the future.
 - Fixed bug: Do not list Public Access in assistant_edit.php.
 - Added back Assistants link in trailer that was accidentally removed.
 - Fixed bug 914537: Error when user rejects an event.
 - Fixed bug 920796: printer friendly versions of Views were always showing
 the current date
 - Fixed bug 921557: warnings about invalid parameter for localtime().
 - Fixed bug 919038: category selecting was not working when viewing
 another user's calendar.
 - Don't list Public Access on list of users for admin to edit.
 - Fixed bug: ${date} was not being handled properly in report templates.
 - Fixed bug 862177: invalid '?' in URL
 - Fixed bug: custom script/stylesheet was not being included on login page
 - Added Bulgarian translation
 - Updated Dutch translation
 - Updated Hungarian translation
 - Updated Japanese translation
 - Updated German translation
 - Updated Norwegian translation
 - Updated Portuguese_BR translation
 - Updated Swedish translation
Verion 0.9.43 (10 Mar 2004)
 - Added iCal import
 - Fixed non-translated text in purge.php
 - Removed Admin menu from trailer and replaced with a new admin page
 (adminhome.php) that lists all admin functions.
 - Updated documentation in docs directory.
 - In week view, table columns had wrong width setting
 - In year view, show days with events in bold. Must enable new
 setting in System Settings since this is CPU-intensive.
 - Fixed bug 877797: edit_user.php would show form for changing password
 even if user.php was configured to not allow changing of passwords.
 - Allow users to enter HTML for the event description. Includes
 addition to System Settings to enable this feature. It is not
 enabled by default.
 - Patch 853298: allow event description to appear in day view for
 printer-friendly (enabled by new system setting)
 - Added ability to use custom script, header and trailer from
 System Settings page
 - Fixed bug 826653,825315: could not add events as public user event when
 system settings were configured to allow it
 - Show date/time of event in email notification for deleted event
 - Fixed bug 847246: week issue? (has been fixed in CVS)
 - Fixed bug 848302: \r still missing from publish.php
 - Fixed bug 848307: export_alarm_ical is called without description argument
 - Fixed bug 842402: group select offset wrong when nonusers listed at top
 - Fixed bug 826908: Dateselect didn't work ... no matter which browser is used
 - Fixed bug 788873: reminders not working for external users
 - Fixed bug 794749: HTTP_ACCEPT_LANUAGE not found if globals are not on.
 - Fixed bug 820854: missing CR in publish.php (violates iCal)
 - Fixed bug 801850: Don't allow adding of events via public calendar
 if user enters URL by hand.
 - Modified to use md5 hashes for passwords in webcal_user rather than
 storing the passwords as plain text. (Requires updating database
 and running conversion script. See UPGRADING.html.)
 - Patch 795371: fix for all day events in publish.php
 - Fixed bug 512114: Daylight saving time + repeating events
 - Fixed bug 669314: Daylight Savings Time Bug in 0.9.40
 - Security fix: improved session cookie to associate the cookie with
 remote address and local server name to make hijacking a session
 cookie much harder.
 - Security fix: added new getValue() function that will error check formats
 of variables from users (HTTP GET/POST).
 - Fixed bug 769755: Saturday events not showing in week view (negative offset)
 - Check for magic_quotes_gpc. If not enabled, fatal exit and tell user
 to modify php.ini.
 - Fixed bug: add icon appeared in printer friendly view pages (view_m.php...)
 - Fixed bug 792731: NIS login failure
 - Fixed bug 609900: wrong week number
 - Fixed bug 761793: invalid weeknumber
 - Fixed bug 607788: Number of week
 - Week Number now calculated using ISO 8601 specifications
 - Fixed bug 787788: Can't enter event beginning st midnight
 - Fixed bug 783487: SQL error on saving existing report
 - Fixed bug 760236: Timezone Offset is buggy in edit_entry_handler.php
 - Fixed bug 669434: time zone offset with week_ssi.php problem
 - Fixed bug 686288: Time Zone corrections
 - Fixed bug: TZ_OFFSET was not being used when setting $today, $thisdate, etc
 - Fixed bug: was not saving reports as global as requested
 - Fixed bug 765229: Export a repeating event in VCS
 - Added repeating info and alarm info to vcal export (works in Palm Desk.)
 - Fixed bug 779668: Event colors on nonuser admin page
 - Allow preferences to be set for nonuser cals (only nonuser admin will see)
 - Fixed bug 777524: Fixed preference issues with language. Also
 fixed translation of Public Access into other languages.
 - When editing an event and changing the category, allow admin users to
 also change the category saved for the public user.
 - Fixed bug 772197: Oracle insert error for new reports
 - Fixed bug: printer-friendly link on report page lost user and
 offset info.
 - Updated palm & vcal import tools to support new repeat type (monthlyByDayR)
 - Updated Finnish translation
 - Updated Danish translation
 - Updated French translation
 - Updated Norwegian translation
 - Updated German translation
 - Updated Dutch translation
 - Updated Chinese-GB2312 translation
 - Updated Spansih translation
 - Added Basque translation
Verion 0.9.42 (21 Jul 2003)
 - Added admin options for nonuser calendars
 - Fixed bug 760236: Timezone Offset is buggy in edit_entry_handler.php
 - Added support for repeating events by weekday from end of month
 (as in Memorial Day, which is last Monday in May).
 - Fixed bug in repeating events by weekday. Was incorrectly placing
 repeating events on wrong week if weekday in question is not
 contained in first week of month. (Thanksgiving 2003, 4th Thursday,
 was showing up on Nov 20, not Nov 27.)
 - Modified view_entry.php to display better repeating info for
 monthlyByDay.
 - Added new publishing support. Users can subscribe using the Calendar
 client from Mozilla or from Apple's iCal. The URL would be
 http://your-calendar-url-here/publish.php/username.ics
 where 'username' would be the login of the calendar to subscribe to.
 - Added new custom report feature (requires two new database tables, see
 UPGRADING.html for details)
 - Added previous link to Activity Log page
 - Added patch 618254: new import function (vCal and Palm)
 - Added patch 759643: Added new view type Month (on same calendar)
 that displays all users' events on the same month view rather than
 separate table columns for each user.
 - Fixed bug: In tables-postgres.sql, table webcal_entry column cal_ext_for_id
 was NOT NULL when it should have been NULL.
 - Fixed bug 759231: URLs where not being converted to HTML links in
 event description.
 - Fixed bug 750044: add charset specification to translations which
 will be sent as a meta tag for each page (if defined)
 - Added patch 654625: Added daily as an option for custom views
 - Fixed bug 756177, 644299: public access got + icon in month view
 when viewing non-user calendar in month view.
 - Fixed some of the undefined variable warnings
 - Fixed bug 755709: parse error in search_handler.php
 - Added Holo (Taiwanese) translation
Verion 0.9.41 (16 Jun 2003)
 - Fixed bug 755178: Public User not being translated
 - Fixed bug 652871: Don't display assistant link in trailer if read-only
 - Fixed bug 680626: Fix attempt too insert duplicate entries in the
 database.
 - Fixed bug 715823: email notification on repeating events was using
 original event date rather than date for notification
 - Fixed bug 727616: conflict not working on repeating events
 - Fixed bug 650045: add missing '/' is server URL
 - Fixed bug 664641: not using $login_url in connect.php
 - Fixed bug 677677: year.php used ? rather than ?php after <
 - Fixed bug 705756: conflicts page not showing user name
 - Fixed bug 732729: public access link on login.php ignores preference
 for DEFAULT view
 - Fixed bugs 753159, 684230: bug in site extras in edit_entry.php -
 was using $i for inner and outer loop.
 - Fixed bug 753107: Not handling rejected or deleted events properly
 - Fixed bug 739309: All Day Event not saved properly
 - Altered webcal_user_pref and webcal_config tables to allow
 values of 100 chars instead of 50.
 - Fixed bug 732887: extra CR chars in external users
 - Fixed bug 736411: Array elements disappear if using + to concat
 - Added patch 673899: Viewing rights set wrong for view_entry.php
 - Added patch 736202: Improved iCalendar export
 - Fixed bug 732885: Bad SQL in send_reminders.php
 - Fixed bug 739010: error creating postgres tables
 - Fixed bug 740983: in admin.php, should be false not $false
 - Added patch 710867: Allow postgresql connections through unix sockets
 - Added patch 707382: Fix for Oracle - don't use 'as' in SQL.
 - Fixed description to display https links as links.
 - Added patch 690347: CSV export for pilot-datebook
 - Added patch 656318: when adding new user, passwords are not compared
 to determine if they match.
 - Added a config option for persistent connections.
 - Fixed bug 727317: Used html_to_8bits(), not html_to_8bits().
 - Fixed bug 727315: Bad SQL in send_reminders.php
 - Fixed bug 704918: functionality (logic) to admin the boss
 - Fixed bug 705871: Unnecessary rows in webcal_site_extras
 - Fixed bug 703563: catagory None not translated if using another language
 - Added timebar view that shows users hours in a timebar.
 - Fixed timezone bug 686829: displays pm instead of am for midnight events
 - Fixed timezone bug 686789: TimeZone Error when servertime is midnight
 - Fixed timezone bug 648692: Problem with Timezone Offset
 - Fixed timezone bug 688208: Date wrong in edit & view entry for TZ offsets
 - Fixed timezone bug in function read_events for a negative TZ_OFFSET
 - Fixed timezone bug in function get_entries for a negative TZ_OFFSET
 causing event to displaying on the wrong day.
 - Fixed bug 649681: Wrong date on event detail page
 - Added the ability to create 'nonuser' calendars, such as a corporate
 calendar, and assign the calendar administrator.
 - Removed html headers and common include calls from all files. All files
 now include init.php and print the header by calling print_header. As a
 result of this cosmetic change, javascript has been moved out of the
 files and into its own file. The file has the same name and is located
 in includes/js/ directory.
 - Updated all translation files to add sections for includes/js/ files.
 - Fixed bug where My Calendar linked to 80/443. There were duplicate
 bugs reported for this: 657172, 638642, 614080, 646225
 - Fixed bug 680793: failure descrip. and date in emails for rejected events
 - Fixed bug 677683: day.php (? to ?php)
 - Fixed bug 647180: user_get_boss_list not LDAP aware
 - Fixed bug 575598: LDAP get_admins() group case sensitive
 - Fixed bug 575600: LDAP stripdn() is destructive
 - LDAP userlist is now sorted using ldap_sort() if PHP version is >= 4.2
 - When adding a new event for the boss, the DEFAULT participant is now
 the boss, not the assistant
 - When saving the new event for the boss, the boss calendar should be
 displayed, not the assistant's one
 - Assistants can now reject events for a boss
 - Added pref option for a boss to be notified by email when an assistant
 adds/edits/deletes an event.
 - Added pref option for a boss to allow assistant to approve events
 - Added db close call on all redirects (was missing)
 - Fixed bug 651709: Javascript error in login.php
 - Removed apostrophes from C-style comments from tables-mysql.sql
 since MySQL seems to barf on these.
 - Patch: 623394: Updated Italian translation
 - Updated Italian translation.
 - Updated Norwegian translation.
 - Updated Dutch translation
 - Updated German translation.
 - Added Estonian translation.

Version 0.9.40 (30 Nov 2002)
 - Added support for all-day events that will prevent any events from
 being added to that day (good for out-of-the-office/vacation).
 - Added ability to limit the number of timed events (appointments)
 a single user can have on one day. This feature can be turned
 on and the limit set in the admin system settings.
 - The ability to override an event conflict (from either a scheduling
 conflict or exceeding max number of events per day) is now
 configurable in the admin system settings.
 - Added support for external participants. If an email address is
 provided with the external user name, they can receive notifications
 and reminders. There are three new admin settings for this, one
 that enables external users, one that allows notifications for them,
 and one that allows email reminders for them.
 - Added system settings option that will allow new public events to
 not require any approval. (Previously, this always required an
 admin user's approval.)
 - Fixed security bug where public access users could add &user=craig
 onto the URL to view calendars they weren't supposed to get to.
 - Added support for selection lists in site extras. This can be used
 to provide a list of possible locations, etc.
 - Fixed bug: Despite setting public user can view other users' calendars'
 to yes, still could not do this.
 - Added sql2html.pl tool for providing documentation about the database
 tables. See README in the docs directory.
 - Added Welsh language translation
 - Added call to dbi_close() to pages that do printer-friendly versions
 (which do not include trailer.php, where to normal dbi_close() is.)
 - Added boss/assistant code that simplifies managing the calendar of
 another user.
 - Changed ORDER BY UPPER(cal_name) to ORDER BY cal_name in groups.php
 since older versions of MySQL do not like this.
 - Fixed bug 637318: Email all on participants on view_entry.php
 was not placing not including a space after the comma (which
 certain mail apps require.)
 - Fixed bug 616143: removed irrelevant line of code causing
 errors in week.php
 - Fixed bug 614273: unable to delete global categories
 - Added timezone offset support.
 - When editing system preferences for public access, use system settings
 for DEFAULT values in pref.php.
 - Updated Portuguese_BR translation
 - Updated Dutch translation
 - Fixed bug 606332: '+' icons appeared in printer-friendly version of week
 view and day view.
 - Updated Spanish translation
 - Fixed bug 491366: If event goes past midnight, don't display 25:00.
 - Fixed bug 601006: Missing quote in URL notification for rejected event.
 - Fixed bug 597815: After setting preferences for the public user, each
 page had a SQL error at the bottom due to an incorrect entry being added
 to the webcal_user_pref table.
 - Added ability of an admin user to configure layers for public access user.
 - Fixed bug 595976, 583269: error generated in SQL when layers enabled
 - Updated FAQ.html with simpler instructions for configuring public access
 and http-based authentication.
 - Fixed bug: in day.php, events displayed at hour_arr[N] instead of
 the actual event name.
 - Updated Dutch translation
 - Fixed security bug: Don't allow users to put login=XXX in the URL
 to read someone else's calendar.
 - Use is_array test on categories to avoid error messsage.
 - Fixed bug: removed call by reference in php-dbi.php.
 - Fixed bug: Event description popup were not displayed in Netscape 4 if
 the event appeared near the bottom of the page.
 - Fixed bug 599323: categories were not being saved properly.
 - Fixed bug 601013: in week.php, leftarrow.gif had syntax error for border
 setting.
 - Added ability to set DEFAULT for sending reminders to be yes when adding
 a new event.
 - Fixed bug 598947: background colors for today in week view were wrong.
 - Fixed bug 586436: duplicate table in tables-postgres.sql.
 - Updated German translation
 - Updated tables-db2.sql (was out-of-date).
 - Added + icon for adding new events on each hour for week and day views.
 - Fixed bug 598765: Fixed DEFAULT date setting.

Version 0.9.39 (21 Aug 2002)
 - Fixed bug 597815: Fixed autoset of 'server_url' config setting to
 work when admin.php isn't the first page accessed.
 - Fixed bug 586525: Don't allow users to access views when view other
 users is set to no in admin.
 - Fixed bug 596616: date_to_string was corrupting certain month names
 in other languages.
 - Fixed bug 587795: Could not edit a layer with less than two users
 in the calendar.
 - Changed login page so that Remember login is not selected by default.
 - Fixed bug: Was not defaulting login name to last person to login.
 - Fixed bug: Events with no time on weekends where not being displayed
 with the weekend background color in the week view.
 - Include a category of None when editing an event.
 - Fixed bug 587909: Don't display 12pm for events with no time in
 notifications.
 - Fixed bug 585939: Don't allow empty view names or group names.
 - Fixed bug: Some users encounter an error when logging in because
 the old session cookie (that contained no path info) was not
 being deleted properly.
 - Fixed bug: send_reminders.php was not checking single user status
 properly.
 - Fixed bug: Error in mailto URL in view_entry.php.
 - Fixed bug: Variable $i was being used for both inner and outer for
 loop in del_entry.php.
 - Fixed bug: When adding/editing an event, if you put a leading '0'
 on the start time (like 09), it always warns you that the event
 starts before your working hours (even if it isn't true).
 - Fixed bug 584826: Fixed custom views (week and month) to display
 weekends in different colors.
 - Fixed bug 583842: categories should not be editable when readonly.
 categories were not showing up when readonly
 - Fixed bug 582950: If user has none (browser-defined) language
 set as preference, then send_reminders.php was failing to find
 a language translation.
 - Fixed to work when register_globals is set to off.
 - Fixed two syntax errors in user-ldap.php.
 - Fixed HTTP redirect/cookie workaround for MS servers.
 - Added instructions for setting up user authentication (web, http,
 ldap, nis) in INSTALL.html.
 - Added date format setting in preferences.
 - Preferences page now redirects to itself after save rather than
 going back to the calendar.
 - Added sample month view in preferences page to test color settings.
 - Added time interval selection for week view and day allowing
 the time blocks to be 1 hour, 30 mins, 20 mins or 10 mins.
 - Added fallback value for $STARTVIEW in index.php Users can get
 redirected to /.php if they upgrade without inserting all
 the values into the webcal_config table.
 - Fixed week display to show weekend colors differently.
 - Added link in preferences page for admin users to allow them to
 modify the preferences for the public access user.
 - Fixed words not being translated (Private, Next, Previous, and
 lots of ALT image tags.)
 - Fixed bug 582314: Fixed improper usage of strstr(), mostly in
 functions.php.
 - Fixed bug 582351: Don't export deleted events.
 - Modified all the perl translation tools to accept just the name of
 the translation (like French instead of the full path to the file
 like ../translations/French.txt).
 - Updated Chinese-GB2312 translation.
 - Updated German translation.
 - Updated French translation.

Version 0.9.38 (12 Jul 2002)
 - Added event category support (code from Jeff Hoover - thanks).
 Categories can be either user-specific or global (if added by
 admin user).
 - Fixed bug 577885: was displaying wrong user's events in week/month
 views when more than 6 users per view.
 - Fixed bug 574156: conflict checking was not working at all.
 - Fixed bug 573704: send_reminders.php was missing argument to
 activity_log() and $LOG_REMINDER was not declared a global variable.
 - Created tools/translation_summary.pl reporting tool. Creates a
 summary report of how many phrases have not been translated in each
 translation file.
 - Fixed a typo and updated comments in site_extras.php.
 - Added auto-refresh option (configurable in user preferences and
 in admin system settings) for day, week and month view as well as
 list unapproved.
 - Fixed bug 575597: Bug in user_is_admin for LDAP when no admin users.
 - Fixed bug 575587: Set mime type to text/calendar for ical export.
 - Fixed bug: If viewing another user's event from a link from the
 search results page, you would get not authorized error even
 if the event status was public.
 - Fixed bug 575166: Don't allow search results to include an event
 from another user if it is a private event.
 - Fixed bug 565931: Don't allow week_ssi.php to access other users'
 private events by specifying user=XXX in the URL.
 - Fixed bug: On some unix systems, calling mktime() using 2AM can
 cause problems. Changed all mktime() calls to use 3AM instead.
 - Fixed bug: Printer-friendly pages for Views (month and week) was
 always displaying current day's month. Additionally changed link
 for views in trailer to go to the date currently being viewed
 when applicable rather than starting back at the current date.
 - Fixed bug: Application name being set in System Settings was not
 being used in notification and reminder emails.
 - LDAP improvement in performance. Cache results of get_admin() so
 we're not asking LDAP server multiple times who the admin users are.
 - Performance improvement in times_overlap() for conflict checking.
 - Fixed some missing commas in tables-ibase.sql
 - Fixed bug: Reminder was not in translations and was not being
 picked up by check_translation.pl.
 - Fixed bug: Delete button in edit view was not being translated.
 - Fixed bug: Delete button in edit group was not being translated.
 - Fixed bug: Public Access was not being translated.
 - Added layers and system settings to help index.
 - Added configuration/preference for displaying weekends in week view.
 - Added configuration/preference for color of weekends in month view.
 - Added additional font and color settings in style sheet that should
 match settings in preferences. Also added font settings in style
 sheet so that Japanese translation could specify its own font.
 (This will affect the font settings for most users.)
 - Changed size of date selection popup window (made it bigger).
 - Added link to help index in trailer for all pages.
 - Added font settings to both admin system settings and user preferences.
 - Better error handling when saving an event.
 - Updated all translation files to group translations by page and
 including a comment for any missing translations.
 - Replaced tools/pagify_translation.pl with tools/update_translation.pl.
 This new tool will mark any missing translations in the the
 translation file with a comment indicating that the translation is
 missing.
 - Updated French translation.
 - Updated German translation.
 - Updated Norwegian translation.
 - Added Japanese translation.
 - Added Simplified Chinese translation (and renamed Big5 translation
 to Tradition Chinese based on some web research...)

Version 0.9.37 (24 Jun 2002)
 - Added support for overriding or deleting single events in a
 repeating event. New links at the bottom of the view event page
 allow you to delete repeating event for just one day, delete
 for all days, edit for just one day, edit for all days. After
 adding an exception event, if the original repeating event is deleted,
 the exception event will also be deleted.
 - When deleting an event, just set the status in webcal_entry_user to
 'D' rather than deleting all the information from the database.
 So, users will still be able to view deleted events.
 - When viewing an event, display the status (right under description)
 if the status is anything but approved. (So, it will show up if
 either Waiting on approval, Rejected, or Deleted.)
 - Converted README to README.html.
 - When viewing a repeating event, show the date the user selected
 to view (instead of the first date of the event) along with the
 repeating info.
 - Display view name under the date at the top of the page.
 - Fixed send_reminders.php to not send a reminder to users who
 rejected the event.
 - Modified webcal_entry_log activity log table by adding new cal_user_cal
 column. One column for user performing action, another column
 (cal_user_cal) for who's calendar it affects.
 - Updated edit event handler to make sure user has proper authority
 to update an event. (Prevent users from typing in a URL to make
 changes to an event.)
 - Added Activity Log page (accessible only by administrators) that
 shows recent activity for all events.
 - Updated French translation
 - Updated German translation

Version 0.9.36 (20 Jun 2002)
 - Fixed SQL bug in del_entry.php.
 - Added create table SQL in tables-postgres.sql and tables-oracle.sql
 for webcal_config table.
 - Added user-nis.php for NIS-based authentication
 - Reorganized the English-US.txt translation file. All text is grouped
 by the page that it appears on. Added new perl script in the tools
 directory called pagify_translation.pl that will take an existing
 translation and reorganize it in this way. Hopefully, this will make
 translations a little easier since you can now determine the context
 of the text.
 - Improved session security by including a portion of the user's
 encrypted password in the cookie.
 - Fixed Bug 568261: Fixed send_reminders.php script which had been set to
 test-mode and was not sending mail.
 - Fixed Bug 568261: $LOG_REJECT was mispelled in includes/functions.php and
 was not allowing reminders to be logged in the activity log.
 - Fixed Bug 569135: URL for event was incorrect in send_reminders.php.
 - Patch 571298: LDAP speed improvements
 - Patch 571287: When selecting another user's calendar, display users
 in a pulldown rather than listing them all in a list.
 - Updated installation instructions and changed from plain text to HTML
 INSTALL.html.
 - Fixed bug: could not delete a layer if you have layers disabled.
 - Added mailto links on view event page and Email all participants
 link at the bottom.
 - Added event description, date and time to emails sent on
 event rejecting and event add/update. Fixed reject_entry.php to use
 server URL set in admin system settings.
 - Send no-cache header for certain pages (week.php, month.php,
 day.php, layers.php, list_unapproved.php)
 - Converted UPGRADING notes to html UPGRADING.html.
 - Updated FAQ.html to include note about register_globals.
 - Replaced COPYING with GPL.html.
 - Updated German translation.

Version 0.9.35 (05 Jun 2002)
 - Added fancy new admin interface for setting WebCalendar settings.
 Almost all settings previously found in config.inc are now set
 through the new admin interface.
 - Allow user to customize application title (appears in page titlebar
 and login page).
 - Added event URL to email notifications.
 - Added ability to specify main URL for WebCalendar (included in
 email reminders and notifications) from within the new admin interface.
 DEFAULT value for server location will be calculated but can be
 modified.
 - Removed Browser-defined as a language option for users in the
 preference settings page. Users must select a language.
 Additionally, if the user has not made a language setting and one
 can be determined from their browser settings, then the language
 setting will be saved in the database (so that it can be used when
 sending email reminders).
 - Added ability to customize the DEFAULT text color (for users that
 prefer to set their background to black).
 - Added support for user views (month and week) that allow users
 to create a custom view of specific users and view their calendars
 side by side. Views are unique to each user so that if user A
 creates a view, then user B will not be able to see the view.
 - Added support for mouse-over tooltips using style sheets. Unfortunately,
 only MSIE supports this, but it's a cool feature. Currently supported
 on the admin settings, preferences, and add/edit event pages.
 - Added the long-asked-for group support. Users can belong to more than
 one group (or none). The calendar can be configured to allow users
 to access all groups and users or it can be setup so that (non-admin)
 users only see groups that they are members of and users that are in
 those groups (see config.php).
 - Added support for public access to the calendar that requires no
 login. Works with web-based login and HTTP-based login. However,
 HTTP-based authentication setup is more complicated (see FAQ).
 - Renamed all include files from .inc to .php. This will help avoid
 security holes if users don't turn off browsing in the includes
 directory.
 - Improved security of edit_user_handler.php to prevent knowledgeable
 users from typing in a URL to make user updates that cannot be made
 from the web interface.
 - Display URL of event when sending out an email notification. (Not
 yet implemented for reminders.)
 - Patch 548138: Added Interbase support
 - Fixed incorrectly displayed status of layers in main layers page
 (layers.php).
 - Fixed missing password on PostgreSQL login in php-dbi.php.
 - Some URLs in description were not being linked properly.
 - Fixed fonts in week view to be consistent size.
 - Layers now display in new color (defined in styles.php) and are
 no longer underlined.
 - If $ALLOW_COLOR_CUSTOMIZATION was set to false in config.php, users
 were getting an error on saving preferences.
 - Check user preferences for receiving reminders before sending one.
 - Updated send_reminders.php to be LDAP-aware. Now uses same user
 functions as rest of the system.
 - Updated send_reminders.php to check language preference for each user.
 If user has set a language preference, reminders will come in that
 language. (Language will be auto-set in the system the first time
 they access the calendar with a browser.)
 - Modified printer-friendly pages to use a single table with a visible
 border for better printing.
 - Enhanced search page to allow searching of other user's calendars
 if allowed by system settings.
 - Fixed bug 530015: allow duration hours and minutes to be more than
 two characters long.
 - Don't allow a user to create a layer using their login as the source.
 - Feature request 529453: show user's fullname rather than login in
 the popup for an event of another user showing up in a layer.
 - Modified all calls to mktime() to use 2AM instead of midnight in
 hopes of squashing all daylight-savings-related bugs.
 - Fixed bug 449084: Don't allow users to enter a time of 24:00 for an
 event (when using 24-hour time format).
 - Fixed bug 491615: Preserve new lines in description when displaying
 in event popup.
 - Added activity log for events that is available to administrators.
 Tracks event creation, update, accept, reject, notification and
 reminders.
 - Updated FAQ and converted it to HTML.

Version 0.9.34 (16 Dec 2001)
 - Patch 468897: Fix DEFAULT for new calendar entries to be public (not
 confidential)
 - Patch 469755: Do not allow users to change preferences in a read-only
 setup
 - Fixed bug: layers would not work until a user turns them off and then
 back on.
 - Display users in a table on page to select other user's calendar for
 better display (if more than 20 users).
 - Patch 483782: Delete users even if they have events and delete those
 events.
 - MS IIS/PSW workaround: IIS does not allow you to send a cookie and
 a redirect in the same http header, so all redirects are handled
 using html meta tags when IIS is detected.
 Code submitted by Nick Temple <ntemple@teentriumph.org>.
 - Fixed bug 447339: In week view, events would not span enough hours
 in the display if there was another event later in that day. In
 day view, all events would display in a one hour block even if they
 were longer than an hour.
 - Added Galician translation.
 - Added Hungarian translation.
 - Updated Swedish translation.
 - Updated French translation.

Version 0.9.33 (02 Aug 01)
 - Fixed bug: the back to my calendar link would go to another user's
 calendar if you just viewed another user's calendar.
 - Fixed bug: was not displaying more than one event per day in the
 week view.
 - Removed all the <?php _track_vars?> from every .php file since it was
 causing problems for a lot of people.
 - Fixed bug: User who logged in to the 0.9.31 version would have a
 session cookie that would generate a Error getting user message.
 Now redirects them back to the login page.
 - Fixed bug: don't display access, priority and participants in email
 reminders if they've been disabled in config.inc
 - Added missing user-ldap.inc to the distribution.
 - Updated Swedish translation

Version 0.9.32 (26 July 01)
 - Fixed some of the login/session code. After examining the code, I'm
 surprised it worked at all! :-) And, it suddenly stopped working on
 my system (would not allow any logins), so it could very will have
 been the bug that prevented people from being able to login.
 - Fixed bug: Was not allowing admin users to add events to a read-only
 setup.
 - Attempted to not reference undefined variables to avoid the warnings
 generated by PHP when the warning level is set to complain about
 referencing undefined variables.
 - Fixed bug: Was not allowing selection of a user when adding/editing
 layers.
 - Fixed bug: If you set a reminder to be sent at the exact time
 of the event (0 days, hours, minutes before event), then when
 you come back to edit the event, it shows the DEFAULT time before
 rather than 0.
 - Fixed bug: printer friendly version of week view was displaying
 events as links.
 - Fixed use of php_track_vars. Was using <?php php_track_vars?>.
 Proper use is just <?php _track_vars?>.
 - Fixed bug 441688: MySQL does case-insensitive searches, which allows
 a user named 'cknudsen' to login with 'CKnudsen', which causes
 problems. Now, users can only login with correct case-sensitive
 login.
 - Fixed bug: when view a non-repeating event, some of the
 text for repeating events (every) would be displayed next
 to the event date.
 - Remember the last view (week, day or month) and return to it
 instead of returning to the preferred view. For example, if
 you were viewing March 2002, then viewed an event in that
 month, and then deleted it, you would be returned to the
 March 2002 view after the delete. (Uses cookies to do this.)
 - Fixes to php-dbi.inc for postgres and odbc issues. May break
 compatibility with early versions of PHP 3.0 and PHP 4.0
 - Updated INSTALL and FAQ files.
 - Initial LDAP support.
 - Security improvement: Use $single_user boolean rather than using
 strlen ( $single_user_login )
 - Fixed bug 438980: Oracle SQL syntax error in tables-oracle.sql
 - Fixed bug: When participant list display is disabled, events
 were not being created properly.

Version 0.9.31 (02 Jul 01)
 - Added Swedish translation.
 - Updated Dutch translation.
 - Added ability to disable some of the standard event fields (access,
 priority, participants, repeating) to simplify interface for some
 users. Set in includes/config.inc with $DISABLE_PRIORITY_FIELD,
 $DISABLE_ACCESS_FIELD, $DISABLE_PARTICIPANTS_FIELD, and
 $DISABLE_REPEATING_FIELD.
 - Can now specify $ALLOW_VIEW_OTHER to be false in includes/config.inc
 to prevent users from viewing other users' calendars. (Admin users
 will still be able to do this.) The combination of this and setting
 $DISABLE_PARTICIPANTS_FIELD = true will give non-admin users the
 feel of a single-user calendar. (Note: Setting $ALLOW_VIEW_OTHER
 to false will also disable layers since that is essentially viewing
 another user's calendar.)
 - Added $conflict_repeat_months to includes/config.inc. This defines
 how many months into the future we should check for conflicts when
 saving a repeating event. On a slow server, the DEFAULT (6 months)
 may take too long.
 - Fixed bug 436330: Oracle complaining about too many open cursors.
 Added some missing dbi_free_result() calls to address this.
 - Fixed bug 436404: Error in conflict checking - was always replacing
 first event participant with event creator when checking for
 conflicts.
 - Feature request 423034: On the event view page, any URLs found
 in the description field will be turned into an HTML link for
 you. Don't enter HTML in the description, just enter the URL
 somewhere in the description.
 - Feature request 432334: Display week number in week view.
 - Updated French translation to use HTML escapes for non-standard
 characters.
 - Patch 435431 from Franz Sedlmaier:
 Display repeating event information on event view page.
 - Patch 435403 from Franz Sedlmaier:
 When a user edits an event, save the existing status (accepted,
 rejected) of each user rather than resetting it back to
 pending. Don't send users notifications unless the date/time changed.
 - Patch 435396 from Franz Sedlmaier for bug 435390:
 Notification for rejecting events was not working. Don't send
 the notification to other users who rejected the event.
 - Patch 435387 from Franz Sedlmaier for bug 435386:
 Fix HTML errors in preferences page. Fix error that caused
 Oracle to complain about NULL values.
 - Patch 435383 from Franz Sedlmaier for bug 435379:
 Notification for deleting events was not working. Don't send
 the notification to the person deleting the event.
 - Patch 435367 from Franz Sedlmaier:
 Allow user to override warning about conflicting events and save
 event anyway.
 - Fixed bug 214280: sometimes events would display shifted one day to
 right on week view.
 - Fixed bug 212550: unable to display short month name for May in
 languages where short name and long name are different.
 - Fixed bug 215549: if calendar is read-only, don't show new image,
 and don't allow users to add events.
 - Fixed bug 214381: don't try and use translate() in http header
 for sending http authorization request if translations have not
 yet been loaded.
 - Don't allow user to change password if using http authorization.
 - Added back selectDate javascript function that was mistakenly
 removed from edit_entry.php.

Version 0.9.30 (08 Jun 01)
 - Generate a fatal error when MySQL returns an error instead of
 ignoring it.
 - Fixed bug 420352: when viewing a repeating event for a date other
 than its first date, it was always showing the first date.
 - Fixed bug 430290: non-admin users could not update their name
 or password.
 - Fixed bug 430347: displaying duplicates when using ODBC.
 - Fixed bug: Was not displaying the correct user name in month, week
 and year view when viewing another user's calendar.
 - Fixed bug: send_reminders.php was dying because of SQL error
 on Postgres.
 - Fixed bug: conflict checking was not working properly for repeating
 events when future dates were in a different daylight savings mode.

Version 0.9.29 (05 Jun 01)
 - Fixed bug: When editing an event, the event date is set to the
 current date rather than the event's date.
 - Fixed bug: Adding missing argument to user_load_variables() in
 login.php that was preventing some people from being able to login.

Version 0.9.28 (01 Jun 01)
 - Moved all the references to the webcal_user table to be in the
 new includes/user.inc file. This BREAKS the NIS user authentication,
 but it should make adding LDAP (or any other user table) support
 much simpler.
 - Added preference settings for receiving email. Users can now
 decide whether they want to receive email for event reminders,
 new events, updated events, deleted events, and rejected events.
 - Fixed bug 429264: The $is_admin variable was not being set properly,
 so no users were able to access admin functions.
 - Fixed bug: Was displaying unapproved events when user set preferences
 to not display them (in day, week and month views).
 - Fixed bug 231236: event popup info was not displaying on the list
 unapproved events page.
 - Fixed bug 428365 : SQL syntax error in getting events for other people
 for layers.
 - Fixed bug 429269, 428716: Edit event page would get JavaScript
 error on save if using 24-hour mode.
 - Fixed bug: code to send email reminder was commented out
 - Fixed bug: was displaying event duration incorrectly in email
 reminders.
 - Fixed bug 429271: error message on missing argument to my_array_slice().
 - Security fixes
 - Updated translations: French

Version 0.9.27 (20 May 01)
 - Added support for customizing event fields. This allows each
 site to add textual fields, dates, URLs, etc. without having
 to customize their database or make code changes.
 All customization takes place in includes/site_extras.inc.
 These changes include two new database tables that must
 be created. See UPGRADING.
 - Added support for email reminders. This is handled by
 the custom field events (see includes/site_extras.inc).
 Requires cron or cron-like tool.
 - Support W3C standards for use with the event popup windows
 which should work with Mozilla, Netscape 6.X and MSIE 5.X.
 Code submitted by Benoit Maisonny.
 - Restored support for PHP3 that was broken with the addition of
 the call to array_splice (a PHP4-only function). There is
 now a PHP3-compatible implementation.
 - Patch 403822 from David Guthrie:
 - improve checking for conflicts to include repeating events
 - allow 15:00 am to be recognized as 3:00 pm
 - Patch 406663: improve handling of new lines when viewing an
 event
 - Fixed tables-oracle.sql to use /* ... */ style comments.
 Patch 403744 from Guillaume Laurent.
 - Added recognition of new language settings (like de-ch, fr-ch,
 and it-ch) which are Swiss settings. From Patch 403816.
 - Added patch 407090: Fixed bug: If only one user in the database
 and setup as multi-user, user selection was not showing up in
 edit_entry.php
 - Fixed bug: confirmation of entries outside preferred work hours
 was not working properly
 - Fixed bug: Yes and No on layers.php was not being translated
 - Fixed bug 212055: could not edit or delete events you posted to
 another user's calendar
 - Fixed bug 412224: link to printer friendly when viewing another user's
 monthly calendar did not display selected user's calendar
 - Fixed bug: When an admin is deleting an event on another user's
 calendar, it will now keep you viewing that user's calendar
 after the delete.
 - Allow disabling of color preferences by users
 - Added includes/index.html to prevent users from getting a
 directory listing of includes if the sysadmin did not setup
 the site to prevent accessing .inc file.
 - Added Norwegian translation
 - Added Turkish translation
 - Added Chinese-Big5 translation
 - Updated Danish translation
 - Updated German translation

Version 0.9.26 (05 January 01)
 - Added Portuguese/Brazil translation
 - Add ability to add event to your own calendar when viewing an
 event on another user's calendar
 - Only the event creator and the admin can completely delete an
 event. Others can only delete it off their own calendar.
 - Ask a for confirmation when the user enters an event which
 starts before the user's preferred work hours.
 - Fixed bug 119884: repeating events of month by day would
 display in the wrong week
 - Fixed bug 119537: when display unapproved is set to no, events do not
 show up in month view
 - Fixed bug 123515: midnight shows up as 12pm
 - Fixed bug: error on deleting an event because translate.inc was
 not included
 - Fixed bug: dups for layers were showing up in all views

Version 0.9.25 (18 December 00)
 - Added Russian translation
 - Updated Dutch translation
 - Updated French translation
 - Updated Portuguese translation
 - Patch 102662 from warf:
 Added Polish translation
 - Patch 102488 from ruibarreiros:
 Send am email to all participants when an entry is deleted
 - Patch 102487 from ruibarreiros:
 Send am email to all participants when an entry is rejected
 - Patch 102486 from ruibarreiros with some additions:
 Not displaying correctly the layer status on layers.php
 - Patch 102212 from lord@crocodile.org:
 Fixes IE5 compatibility problem with repeating events
 - Patch 102032 from m.crosby@msdw.com:
 Fixed bug: Entries aren't properly added to calendar when in multi user
 mode with only one user
 - Patch 101698 from Jonathan Mark <jhmark@xenops.com>:
 - edit_entry_handler.php accepts an allow_conflicts flag which
 allows conflicting events to be created. This variable is
 configured globally in config.inc. The Palm conduit can turn it
 on when sending events to WebCalendar (the Palm datebook allows
 events with conflicting times).
 - Added iCal as a supported format on the export page. This is
 not quite complete because it doesn't support recurrence yet.
 Also added a checkbox for exporting all the user's events
 regardless of date.
 - php-dbi.inc: added some HTML comments surrounding error messages,
 to allow them to be parsed out by a script or Palm conduit.
 - Patch 101503 from Jonathan Mark <jhmark@xenops.com>:
 - Fixed bugs 114218, 116562, 116301: removed use of non-portable queries.
 - Consolidated some near-duplicate code in the process.
 - Speeds up queries when using layers considerably.
 - Fixed bug 119484: errors in popups when listing unapproved events

Version 0.9.24 (16 October 00)
 - Fixed bug: logins do not work sometimes when first setting up
 the app. (Removed the use of $HTTP_COOKIE_VARS array.)
 - Fixed bug: syntax error in del_entry.php
 - Changed durations to be specified as hours and minutes when adding
 or editing an event.
 - Added event owner in event popup info when viewing someone else's
 event via layers.
 - Added ability to quickly disable and enable layers via link on the
 bottom of all pages.

Version 0.9.23 (20 September 00)
 - Added support for using the browser-specified language (specified
 in your browser's preferences). The DEFAULT language is now set
 to use this.
 - Added support for read-only calendar access which can be used to
 create publicly accessible calendars.
 - Added ability to authenticate users via NIS
 - Cleaned up a few HTML errors
 - Updated English translation file to include text for layers (since
 new translations are usually started with this file)
 - Added Portuguese translation file missing from version 0.9.22
 - Added Icelandic translation

Version 0.9.22 (17 August 00)
 - Added support for layers that allow you to overlay another user's
 calendar onto your calendar. (See UPGRADING for upgrading instructions).
 - Fixed bug: Time, Description were not being translated in the
 event popup windows
 - Added Portuguese translation

Version 0.9.21 (31 July 00)
 - Fixed bug: JavaScript bug in datesel.php caused date selection popup
 window to not work
 - Fixed bug: week_ssi.php was broken
 - Fixed bug: Sun did not show up in the table header of the week view
 when week start is set to Monday
 - Update Czech translation

Version 0.9.20 (30 July 00)
 - Added spacer.gif back to the distribution (required by colors.php)
 - Fixed bug: typo in SQL prevented repeated events from being read
 from the database
 - The last user can be remembered when returning to the login page,
 so that the login name is filled in and the correct colors and
 language are used.
 - Changed all the abbreviated weekdays to use three letters (Sun,
 Mon, ...) instead of two letters.
 - Added Danish translation
 - Updated German translation
 - Updated Italian translation

Version 0.9.19 (28 July 00)
 - Fixed bug: when week starts on Monday, week view displayed first
 day header as Sunday
 - Fixed bug: error messages where generated when deleting a user
 - Added ability to reject events added by other users. Event
 participants who reject an event are still listed on the view event
 page with (Rejected) after their name. This frees up the user to
 schedule alternate events during the rejected event's time.
 - Added event popups to the unapproved event listing as well as
 a direct link to accept or reject the event. (You are no longer
 required to view the event before accepting/rejecting.)
 - Added link to unapproved events at the bottom of the week, day and
 year views.
 - Improved position of popup event descriptions so they aren't obscured
 when on the right side of the page
 - Added icon/link at top of days in the week view to add new entries
 - Added vertical space between events in week/day view that share
 the same table cell but start in different hours
 - Made the created by user a mailto link on the event view page
 - Updated French translation
 - Updated German translation

Version 0.9.18 (22 July 00)
 - Adding missing files month.php and year.php to distribution (oops)

Version 0.9.17 (22 July 00)
 - Modified week-at-a-glance view to display hours like the
 day-at-a-glance view.
 - Added year-at-a-glance view
 - Added ability to set the DEFAULT view to year, month, week or day
 and set the DEFAULT view to week.
 - Improved performance for month and week view by loading all events
 at once rather than sending a separate SQL command for each date.
 - Changed the ordering of some parameter functions to make more
 consistent
 - Modified event popup descriptions to also display the time of
 the event
 - After saving preferences, you will be sent to your DEFAULT view
 rather than staying at the preferences page
 - Changed so that entries were not being added to the webcal_entry_repeats
 table for events that were not repeating
 - Added some documentation to some of the functions in functions.inc
 - Updated translations for German, Spanish
 - Added Czech translation
 - Added Italian translation
 - Fixed bug: any month that started on a Sunday would not display the
 1st of the month if configured with Mondays as the week start
 - Fixed bug: months with daylight savings change-overs sometimes
 displayed incorrectly

Version 0.9.16 (26 June 00)
 - Added export function. The first format supported is the format of
 the install-datebook tool, which is part of the pilot-link distribution.
 (install-datebook has some bugs which need to be patched for this to
 work properly. See INSTALL for details.)
 - Made week number in month view a link to view that week
 - Allow weeks to start on either Monday or Sunday. Using Monday will
 cause ISO week numbering.
 - Added color selection popup window for color settings in preferences.
 - Added date selection popup window for all date entries
 - Changed so that admin users can no longer view private events of other
 users
 - Changed all tables to use a line between cells rather than the 3d look
 that a border=2 effect gives
 - Added new navigation to day view that provides links for all other days
 in the current month
 - Removed links for Search, Add New Entry at the bottom when viewing
 another user's calendar
 - Added link My Calendar to trailer to give quick access to the current
 month's calendar.
 - Added French translation
 - Fixed bug: incorrect display of 24-hour time
 - Fixed bug: css class names caused IE to complain on the popup
 windows for mouse-overs
 - Fixed bug: popup windows were placed incorrectly for IE when the page
 was scrolled
 - Fixed bug: private repeating events could be viewed by other users
 - Fixed bug: private events could not be viewed by the event owner
 - Fixed bug: when viewing another user's calendar, some links would take
 you back to your own calendar without notice

Version 0.9.15 (09 June 00)
 - Fixed bug that prevented the description from appearing on mouse over
 in the month view and week view.

Version 0.9.14 (09 June 00)
 - Added repeating events
 (original code contributed by Lachlan Cox <lachie@zip.com.au>)
 - Fixed bug in edit entry page where event duration was not showing up.
 - Moved function load_translation_text() to before first call to avoid
 undefined function error on some systems.
 - Added missing calls to translate for Week in month/week view and Go to
 in trailer.
 - Added Dutch translation
 - Added Korean translation
 - Added Spanish translation

Version 0.9.13 (07 Jun 00)
 - Added I18N support through the use of translate() and etranslate()
 functions in new translate.inc file.
 - Added German translation
 - Moved all .inc include files into an includes subdirectory to make
 it easier for access to these files to be blocked from the web server
 setup.
 - Don't allow confidential event info be seen via mouse-over function.
 - Fixed SQL typo in check for schedule conflicts
 - Changed all calls to htmlentities to htmlspecialchars in order to
 properly handle 8-bit ascii.
 - Changed styles.css to be a PHP include (styles.inc) so some of it
 can be generated dynamically (eventually)
 - Changed Oracle table for events to use VARCHAR2(1024) instead of LONG
 so that the description field can be searched.

Version 0.9.12 (25 May 00)
 - Added popups for event description on mouse over of events.
 - Fixes for events scheduled at midnight
 - Fixed so that an event from 10-11 doesn't conflict with an event
 from 11-12.

Version 0.9.11 (23 May 00)
 - Fixed some code that was MySQL-specific to work with all dbs.

Version 0.9.10 (23 May 00)
 - Added day-at-a-glance
 - Added support for sending email notification when events are added
 - Fixed checking for scheduling conflicts (which apparently broke in one
 of the recent releases)
 - Moved CSS stuff into a single shared file (styles.css) except for font
 size settings which are still done with the HTML font tag since most
 browsers don't correctly support setting the font size via CSS.
 - Fixed bug where prev/next links at the top of both week and month
 views could send you to the wrong dates.
 - Added scrollbar to help windows
 - Various HTML/CSS cleanup and reorganization. Much of the layout
 code (font specification in particular) was changed to use CSS instead
 of HTML.
 - User color preferences were removed since the colors are now driven
 by the style.css CSS info. Eventually, this will be replaced with
 style.php that will add back user-customizable colors.
 - Added code to set email addresses of users (provided by
 Ian R. Justman)
 - Don't allow someone to delete an event unless they created it (were
 able to do this from the edit event page)

Version 0.9.9 (02 May 00)
 - PostgreSQL fixes (provided by Ken Harris)
 - New tables-postgres.sql provided (provided by Ken Harris)
 - fixed HTML bug where the navigation pulldowns on the bottom were
 incorrect when viewing another user's calendar
 - Added FAQs to README

Version 0.9.8 (23 Feb 00)
 - fixed major bug that prevented users from adding new events

Version 0.9.7 (23 Feb 00)
 - moved all database-specific calls into php-dbi.inc and added
 support for Oracle as well as PostgreSQL (not tested) and
 ODBC (not tested).
 - altered every table with new naming scheme:
 all tables now start webcal... instead of cal...
 all column names now start cal_... because names like
 date are forbidden by Oracle
 added new column cal_group_id in webcal_entry in anticipation
 of support for repeating events
 - moved all database calls into dbi.inc in order to simplify support
 for additional databases.
 - allow non-admin users to set their names and passwords
 - fixed security bug where users could hand enter URLs to add
 new users.
 - fixed bug where unapproved events are never displayed until they
 are approved despite the setting of $DISPLAY_UNAPPROVED.
 - fixed bugs where confidential entries could be viewed and edited
 by other users

Version 0.9.6 (21 Feb 00)
 - renamed all files from .php3 to php (since it works with php4, too)
 - added the option to use HTTP basic authorization (if using PHP
 as an Apache module) or web-based login
 - fixed bug that caused login info to not be remembered as long
 as it should (1000 days)
 - added JavaScript on login page to make sure users enter some text
 for both login and password
 - added command on all pages to enable the PHP track_vars setting
 in case users did not use --enable-track-vars when building PHP
 (caused people to not be able to login)
 (Thanks to Andy Skunza <askunza@dynamix-ltd.com> for this fix.)


Version 0.9.5 (10 Feb 2000)
 - fixed bug that caused months with DST change to display incorrect
 dates
 - fixed bug that caused some months to display the wrong number of
 dates per month -- fix provided by Florian Helmberger <fh@enemy.org>
 - added search function (searches only your own calendar)
 - fixed bug where login info would always be remembered (even if
 you didn't check the option on login)
 - fixed bug where invalid logins gave unhelpful error messages
 - changed navigation links at bottom to be pulldown lists of weeks
 and months

Version 0.9.4 (14 Jan 2000)
 - added check for scheduling conflicts when adding/editing entries
 - added ability to view someone else's calendar. confidential
 entried will be displayed as PRIVATE.
 - added optional approval of events for multi-user systems,
 enabled/disabled in config.inc
 - can only delete an event that you created (or you are admin)
 - can only edit an event that you created (or you are admin)
 - added javascript error checking for color values in preferences
 - converted many date() calls to strftime() to support localization
 of dates
 - added '+' icon to each date when viewing the calendar to allow
 adding an entry to that date
 - removed view & edit icons and replaced with an bullet icon that sends
 you to the view entry page
 - display small version of previous and next months at the top of
 month-at-glance page rather than just month name.
 - added week_ssi.php3 for use as a server-side include
 - removed use of spacer.gif table layout hack and replaced with use
 of CSS to specify table cell sizes
 - if multi-user, the current calendar owner is displayed under the
 date at the top for both month view and week view.

Version 0.9.3 (21 Dec 1999)
 - added week-at-a-glance view
 - added preferences for colors and time format
 - fixed bug where includes were in wrong order in index.php3
 causing endless redirects when in single-user mode

Version 0.9.2 (16 Dec 1999)
 - allow system to be configured as single-user or multi-user from
 config.inc file
 - added navigation links to 6 months before and after current month
 - added printer friendly page for better printing
 - fixed bug where event time was not showing up in edit page
 - improved security on user authentication, cookie no longer contains
 login name, instead it contains a lamely encrypted version of the
 login name. (would like to add support for mcrypt(), if PHP was
 compiled with mcrypt support. we could also use sessions, but this
 requires an external library until PHP4.)
 - fixed bug where db name was incorrectly set to cal in certain
 queries
 - moved all site-specific configuration to config.inc
 - support either 12-hour am/pm time format or 24 hour
 - fixed event add/edit participant selection so that JavaScript is
 not required
 - misc. code cleanup

Version 0.9.1 (11 Dec 1999):
 - fixed mispelling of calendar in a few places
 - fixed tables.sql which was incorrectly creating the table
 cal_event_user instead of cal_entry_user

Version 0.9 (09 Dec 1999):
 - first public release
